package Linux::Input::Capabilities::Constants;
#ABSTRACT: Constants defining various input device capabilities.
use strict;
use Exporter qw(import);
our @EXPORT_OK = ('%_REVERSE_TABLE');

# @EXPORT_OK setup:
push @EXPORT_OK, (
	"ABS_BRAKE", "ABS_CNT", "ABS_DISTANCE", "ABS_GAS", "ABS_HAT0X",
	"ABS_HAT0Y", "ABS_HAT1X", "ABS_HAT1Y", "ABS_HAT2X", "ABS_HAT2Y",
	"ABS_HAT3X", "ABS_HAT3Y", "ABS_MAX", "ABS_MISC", "ABS_MT_BLOB_ID",
	"ABS_MT_DISTANCE", "ABS_MT_ORIENTATION", "ABS_MT_POSITION_X",
	"ABS_MT_POSITION_Y", "ABS_MT_PRESSURE", "ABS_MT_SLOT",
	"ABS_MT_TOOL_TYPE", "ABS_MT_TOOL_X", "ABS_MT_TOOL_Y",
	"ABS_MT_TOUCH_MAJOR", "ABS_MT_TOUCH_MINOR", "ABS_MT_TRACKING_ID",
	"ABS_MT_WIDTH_MAJOR", "ABS_MT_WIDTH_MINOR", "ABS_PRESSURE",
	"ABS_RESERVED", "ABS_RUDDER", "ABS_RX", "ABS_RY", "ABS_RZ",
	"ABS_THROTTLE", "ABS_TILT_X", "ABS_TILT_Y", "ABS_TOOL_WIDTH",
	"ABS_VOLUME", "ABS_WHEEL", "ABS_X", "ABS_Y", "ABS_Z", "BTN_0",
	"BTN_1", "BTN_2", "BTN_3", "BTN_4", "BTN_5", "BTN_6", "BTN_7",
	"BTN_8", "BTN_9", "BTN_A", "BTN_B", "BTN_BACK", "BTN_BASE",
	"BTN_BASE2", "BTN_BASE3", "BTN_BASE4", "BTN_BASE5", "BTN_BASE6",
	"BTN_C", "BTN_DEAD", "BTN_DIGI", "BTN_DPAD_DOWN", "BTN_DPAD_LEFT",
	"BTN_DPAD_RIGHT", "BTN_DPAD_UP", "BTN_EAST", "BTN_EXTRA",
	"BTN_FORWARD", "BTN_GAMEPAD", "BTN_GEAR_DOWN", "BTN_GEAR_UP",
	"BTN_JOYSTICK", "BTN_LEFT", "BTN_MIDDLE", "BTN_MISC", "BTN_MODE",
	"BTN_MOUSE", "BTN_NORTH", "BTN_PINKIE", "BTN_RIGHT", "BTN_SELECT",
	"BTN_SIDE", "BTN_SOUTH", "BTN_START", "BTN_STYLUS", "BTN_STYLUS2",
	"BTN_STYLUS3", "BTN_TASK", "BTN_THUMB", "BTN_THUMB2", "BTN_THUMBL",
	"BTN_THUMBR", "BTN_TL", "BTN_TL2", "BTN_TOOL_AIRBRUSH",
	"BTN_TOOL_BRUSH", "BTN_TOOL_DOUBLETAP", "BTN_TOOL_FINGER",
	"BTN_TOOL_LENS", "BTN_TOOL_MOUSE", "BTN_TOOL_PEN",
	"BTN_TOOL_PENCIL", "BTN_TOOL_QUADTAP", "BTN_TOOL_QUINTTAP",
	"BTN_TOOL_RUBBER", "BTN_TOOL_TRIPLETAP", "BTN_TOP", "BTN_TOP2",
	"BTN_TOUCH", "BTN_TR", "BTN_TR2", "BTN_TRIGGER",
	"BTN_TRIGGER_HAPPY", "BTN_TRIGGER_HAPPY1", "BTN_TRIGGER_HAPPY10",
	"BTN_TRIGGER_HAPPY11", "BTN_TRIGGER_HAPPY12",
	"BTN_TRIGGER_HAPPY13", "BTN_TRIGGER_HAPPY14",
	"BTN_TRIGGER_HAPPY15", "BTN_TRIGGER_HAPPY16",
	"BTN_TRIGGER_HAPPY17", "BTN_TRIGGER_HAPPY18",
	"BTN_TRIGGER_HAPPY19", "BTN_TRIGGER_HAPPY2", "BTN_TRIGGER_HAPPY20",
	"BTN_TRIGGER_HAPPY21", "BTN_TRIGGER_HAPPY22",
	"BTN_TRIGGER_HAPPY23", "BTN_TRIGGER_HAPPY24",
	"BTN_TRIGGER_HAPPY25", "BTN_TRIGGER_HAPPY26",
	"BTN_TRIGGER_HAPPY27", "BTN_TRIGGER_HAPPY28",
	"BTN_TRIGGER_HAPPY29", "BTN_TRIGGER_HAPPY3", "BTN_TRIGGER_HAPPY30",
	"BTN_TRIGGER_HAPPY31", "BTN_TRIGGER_HAPPY32",
	"BTN_TRIGGER_HAPPY33", "BTN_TRIGGER_HAPPY34",
	"BTN_TRIGGER_HAPPY35", "BTN_TRIGGER_HAPPY36",
	"BTN_TRIGGER_HAPPY37", "BTN_TRIGGER_HAPPY38",
	"BTN_TRIGGER_HAPPY39", "BTN_TRIGGER_HAPPY4", "BTN_TRIGGER_HAPPY40",
	"BTN_TRIGGER_HAPPY5", "BTN_TRIGGER_HAPPY6", "BTN_TRIGGER_HAPPY7",
	"BTN_TRIGGER_HAPPY8", "BTN_TRIGGER_HAPPY9", "BTN_WEST",
	"BTN_WHEEL", "BTN_X", "BTN_Y", "BTN_Z", "EV_ABS", "EV_CNT",
	"EV_FF", "EV_FF_STATUS", "EV_KEY", "EV_LED", "EV_MAX", "EV_MSC",
	"EV_PWR", "EV_REL", "EV_REP", "EV_SND", "EV_SW", "EV_SYN",
	"EV_VERSION", "FF_AUTOCENTER", "FF_CNT", "FF_CONSTANT",
	"FF_CUSTOM", "FF_DAMPER", "FF_EFFECT_MAX", "FF_EFFECT_MIN",
	"FF_FRICTION", "FF_GAIN", "FF_INERTIA", "FF_MAX", "FF_MAX_EFFECTS",
	"FF_PERIODIC", "FF_RAMP", "FF_RUMBLE", "FF_SAW_DOWN", "FF_SAW_UP",
	"FF_SINE", "FF_SPRING", "FF_SQUARE", "FF_STATUS_MAX",
	"FF_STATUS_PLAYING", "FF_STATUS_STOPPED", "FF_TRIANGLE",
	"FF_WAVEFORM_MAX", "FF_WAVEFORM_MIN", "KEY_0", "KEY_1",
	"KEY_102ND", "KEY_10CHANNELSDOWN", "KEY_10CHANNELSUP", "KEY_2",
	"KEY_3", "KEY_3D_MODE", "KEY_4", "KEY_5", "KEY_6", "KEY_7",
	"KEY_8", "KEY_9", "KEY_A", "KEY_AB", "KEY_ADDRESSBOOK",
	"KEY_AGAIN", "KEY_ALL_APPLICATIONS", "KEY_ALS_TOGGLE",
	"KEY_ALTERASE", "KEY_ANGLE", "KEY_APOSTROPHE", "KEY_APPSELECT",
	"KEY_ARCHIVE", "KEY_ASSISTANT", "KEY_ATTENDANT_OFF",
	"KEY_ATTENDANT_ON", "KEY_ATTENDANT_TOGGLE", "KEY_AUDIO",
	"KEY_AUDIO_DESC", "KEY_AUX", "KEY_B", "KEY_BACK", "KEY_BACKSLASH",
	"KEY_BACKSPACE", "KEY_BASSBOOST", "KEY_BATTERY", "KEY_BLUE",
	"KEY_BLUETOOTH", "KEY_BOOKMARKS", "KEY_BREAK",
	"KEY_BRIGHTNESSDOWN", "KEY_BRIGHTNESSUP", "KEY_BRIGHTNESS_AUTO",
	"KEY_BRIGHTNESS_CYCLE", "KEY_BRIGHTNESS_MAX", "KEY_BRIGHTNESS_MIN",
	"KEY_BRIGHTNESS_TOGGLE", "KEY_BRIGHTNESS_ZERO", "KEY_BRL_DOT1",
	"KEY_BRL_DOT10", "KEY_BRL_DOT2", "KEY_BRL_DOT3", "KEY_BRL_DOT4",
	"KEY_BRL_DOT5", "KEY_BRL_DOT6", "KEY_BRL_DOT7", "KEY_BRL_DOT8",
	"KEY_BRL_DOT9", "KEY_BUTTONCONFIG", "KEY_C", "KEY_CALC",
	"KEY_CALENDAR", "KEY_CAMERA", "KEY_CAMERA_DOWN",
	"KEY_CAMERA_FOCUS", "KEY_CAMERA_LEFT", "KEY_CAMERA_RIGHT",
	"KEY_CAMERA_UP", "KEY_CAMERA_ZOOMIN", "KEY_CAMERA_ZOOMOUT",
	"KEY_CANCEL", "KEY_CAPSLOCK", "KEY_CD", "KEY_CHANNEL",
	"KEY_CHANNELDOWN", "KEY_CHANNELUP", "KEY_CHAT", "KEY_CLEAR",
	"KEY_CLOSE", "KEY_CLOSECD", "KEY_CNT", "KEY_COFFEE", "KEY_COMMA",
	"KEY_COMPOSE", "KEY_COMPUTER", "KEY_CONFIG", "KEY_CONNECT",
	"KEY_CONTEXT_MENU", "KEY_CONTROLPANEL", "KEY_COPY", "KEY_CUT",
	"KEY_CYCLEWINDOWS", "KEY_D", "KEY_DASHBOARD", "KEY_DATA",
	"KEY_DATABASE", "KEY_DELETE", "KEY_DELETEFILE", "KEY_DEL_EOL",
	"KEY_DEL_EOS", "KEY_DEL_LINE", "KEY_DIGITS", "KEY_DIRECTION",
	"KEY_DIRECTORY", "KEY_DISPLAYTOGGLE", "KEY_DISPLAY_OFF",
	"KEY_DOCUMENTS", "KEY_DOLLAR", "KEY_DOT", "KEY_DOWN", "KEY_DVD",
	"KEY_E", "KEY_EDIT", "KEY_EDITOR", "KEY_EJECTCD",
	"KEY_EJECTCLOSECD", "KEY_EMAIL", "KEY_END", "KEY_ENTER", "KEY_EPG",
	"KEY_EQUAL", "KEY_ESC", "KEY_EURO", "KEY_EXIT", "KEY_F", "KEY_F1",
	"KEY_F10", "KEY_F11", "KEY_F12", "KEY_F13", "KEY_F14", "KEY_F15",
	"KEY_F16", "KEY_F17", "KEY_F18", "KEY_F19", "KEY_F2", "KEY_F20",
	"KEY_F21", "KEY_F22", "KEY_F23", "KEY_F24", "KEY_F3", "KEY_F4",
	"KEY_F5", "KEY_F6", "KEY_F7", "KEY_F8", "KEY_F9",
	"KEY_FASTFORWARD", "KEY_FASTREVERSE", "KEY_FAVORITES", "KEY_FILE",
	"KEY_FINANCE", "KEY_FIND", "KEY_FIRST", "KEY_FN", "KEY_FN_1",
	"KEY_FN_2", "KEY_FN_B", "KEY_FN_D", "KEY_FN_E", "KEY_FN_ESC",
	"KEY_FN_F", "KEY_FN_F1", "KEY_FN_F10", "KEY_FN_F11", "KEY_FN_F12",
	"KEY_FN_F2", "KEY_FN_F3", "KEY_FN_F4", "KEY_FN_F5", "KEY_FN_F6",
	"KEY_FN_F7", "KEY_FN_F8", "KEY_FN_F9", "KEY_FN_S", "KEY_FORWARD",
	"KEY_FORWARDMAIL", "KEY_FRAMEBACK", "KEY_FRAMEFORWARD",
	"KEY_FRONT", "KEY_G", "KEY_GAMES", "KEY_GOTO",
	"KEY_GRAPHICSEDITOR", "KEY_GRAVE", "KEY_GREEN", "KEY_H",
	"KEY_HANGEUL", "KEY_HANGUEL", "KEY_HANJA", "KEY_HELP",
	"KEY_HENKAN", "KEY_HIRAGANA", "KEY_HOME", "KEY_HOMEPAGE", "KEY_HP",
	"KEY_I", "KEY_IMAGES", "KEY_INFO", "KEY_INSERT", "KEY_INS_LINE",
	"KEY_ISO", "KEY_J", "KEY_JOURNAL", "KEY_K", "KEY_KATAKANA",
	"KEY_KATAKANAHIRAGANA", "KEY_KBDILLUMDOWN", "KEY_KBDILLUMTOGGLE",
	"KEY_KBDILLUMUP", "KEY_KBDINPUTASSIST_ACCEPT",
	"KEY_KBDINPUTASSIST_CANCEL", "KEY_KBDINPUTASSIST_NEXT",
	"KEY_KBDINPUTASSIST_NEXTGROUP", "KEY_KBDINPUTASSIST_PREV",
	"KEY_KBDINPUTASSIST_PREVGROUP", "KEY_KEYBOARD", "KEY_KP0",
	"KEY_KP1", "KEY_KP2", "KEY_KP3", "KEY_KP4", "KEY_KP5", "KEY_KP6",
	"KEY_KP7", "KEY_KP8", "KEY_KP9", "KEY_KPASTERISK", "KEY_KPCOMMA",
	"KEY_KPDOT", "KEY_KPENTER", "KEY_KPEQUAL", "KEY_KPJPCOMMA",
	"KEY_KPLEFTPAREN", "KEY_KPMINUS", "KEY_KPPLUS", "KEY_KPPLUSMINUS",
	"KEY_KPRIGHTPAREN", "KEY_KPSLASH", "KEY_L", "KEY_LANGUAGE",
	"KEY_LAST", "KEY_LEFT", "KEY_LEFTALT", "KEY_LEFTBRACE",
	"KEY_LEFTCTRL", "KEY_LEFTMETA", "KEY_LEFTSHIFT", "KEY_LEFT_DOWN",
	"KEY_LEFT_UP", "KEY_LIGHTS_TOGGLE", "KEY_LINEFEED", "KEY_LIST",
	"KEY_LOGOFF", "KEY_M", "KEY_MACRO", "KEY_MAIL", "KEY_MAX",
	"KEY_MEDIA", "KEY_MEDIA_REPEAT", "KEY_MEDIA_TOP_MENU", "KEY_MEMO",
	"KEY_MENU", "KEY_MESSENGER", "KEY_MHP", "KEY_MICMUTE", "KEY_MINUS",
	"KEY_MIN_INTERESTING", "KEY_MODE", "KEY_MOVE", "KEY_MP3",
	"KEY_MSDOS", "KEY_MUHENKAN", "KEY_MUTE", "KEY_N", "KEY_NEW",
	"KEY_NEWS", "KEY_NEXT", "KEY_NEXTSONG", "KEY_NEXT_FAVORITE",
	"KEY_NUMERIC_0", "KEY_NUMERIC_1", "KEY_NUMERIC_11",
	"KEY_NUMERIC_12", "KEY_NUMERIC_2", "KEY_NUMERIC_3",
	"KEY_NUMERIC_4", "KEY_NUMERIC_5", "KEY_NUMERIC_6", "KEY_NUMERIC_7",
	"KEY_NUMERIC_8", "KEY_NUMERIC_9", "KEY_NUMERIC_A", "KEY_NUMERIC_B",
	"KEY_NUMERIC_C", "KEY_NUMERIC_D", "KEY_NUMERIC_POUND",
	"KEY_NUMERIC_STAR", "KEY_NUMLOCK", "KEY_O", "KEY_OK",
	"KEY_ONSCREEN_KEYBOARD", "KEY_OPEN", "KEY_OPTION", "KEY_P",
	"KEY_PAGEDOWN", "KEY_PAGEUP", "KEY_PASTE", "KEY_PAUSE",
	"KEY_PAUSECD", "KEY_PAUSE_RECORD", "KEY_PC", "KEY_PHONE",
	"KEY_PLAY", "KEY_PLAYCD", "KEY_PLAYER", "KEY_PLAYPAUSE",
	"KEY_POWER", "KEY_POWER2", "KEY_PRESENTATION", "KEY_PREVIOUS",
	"KEY_PREVIOUSSONG", "KEY_PRINT", "KEY_PROG1", "KEY_PROG2",
	"KEY_PROG3", "KEY_PROG4", "KEY_PROGRAM", "KEY_PROPS", "KEY_PVR",
	"KEY_Q", "KEY_QUESTION", "KEY_R", "KEY_RADIO", "KEY_RECORD",
	"KEY_RED", "KEY_REDO", "KEY_REFRESH", "KEY_REPLY", "KEY_RESERVED",
	"KEY_RESTART", "KEY_REWIND", "KEY_RFKILL", "KEY_RIGHT",
	"KEY_RIGHTALT", "KEY_RIGHTBRACE", "KEY_RIGHTCTRL", "KEY_RIGHTMETA",
	"KEY_RIGHTSHIFT", "KEY_RIGHT_DOWN", "KEY_RIGHT_UP", "KEY_RO",
	"KEY_ROOT_MENU", "KEY_ROTATE_DISPLAY", "KEY_ROTATE_LOCK_TOGGLE",
	"KEY_S", "KEY_SAT", "KEY_SAT2", "KEY_SAVE", "KEY_SCALE",
	"KEY_SCREEN", "KEY_SCREENLOCK", "KEY_SCREENSAVER",
	"KEY_SCROLLDOWN", "KEY_SCROLLLOCK", "KEY_SCROLLUP", "KEY_SEARCH",
	"KEY_SELECT", "KEY_SEMICOLON", "KEY_SEND", "KEY_SENDFILE",
	"KEY_SETUP", "KEY_SHOP", "KEY_SHUFFLE", "KEY_SLASH", "KEY_SLEEP",
	"KEY_SLOW", "KEY_SLOWREVERSE", "KEY_SOUND", "KEY_SPACE",
	"KEY_SPELLCHECK", "KEY_SPORT", "KEY_SPREADSHEET", "KEY_STOP",
	"KEY_STOPCD", "KEY_STOP_RECORD", "KEY_SUBTITLE", "KEY_SUSPEND",
	"KEY_SWITCHVIDEOMODE", "KEY_SYSRQ", "KEY_T", "KEY_TAB", "KEY_TAPE",
	"KEY_TASKMANAGER", "KEY_TEEN", "KEY_TEXT", "KEY_TIME", "KEY_TITLE",
	"KEY_TOUCHPAD_OFF", "KEY_TOUCHPAD_ON", "KEY_TOUCHPAD_TOGGLE",
	"KEY_TUNER", "KEY_TV", "KEY_TV2", "KEY_TWEN", "KEY_U", "KEY_UNDO",
	"KEY_UNKNOWN", "KEY_UNMUTE", "KEY_UP", "KEY_UWB", "KEY_V",
	"KEY_VCR", "KEY_VCR2", "KEY_VENDOR", "KEY_VIDEO", "KEY_VIDEOPHONE",
	"KEY_VIDEO_NEXT", "KEY_VIDEO_PREV", "KEY_VOD", "KEY_VOICECOMMAND",
	"KEY_VOICEMAIL", "KEY_VOLUMEDOWN", "KEY_VOLUMEUP", "KEY_W",
	"KEY_WAKEUP", "KEY_WIMAX", "KEY_WLAN", "KEY_WORDPROCESSOR",
	"KEY_WPS_BUTTON", "KEY_WWAN", "KEY_WWW", "KEY_X", "KEY_XFER",
	"KEY_Y", "KEY_YELLOW", "KEY_YEN", "KEY_Z", "KEY_ZENKAKUHANKAKU",
	"KEY_ZOOM", "KEY_ZOOMIN", "KEY_ZOOMOUT", "KEY_ZOOMRESET",
	"LED_CAPSL", "LED_CHARGING", "LED_CNT", "LED_COMPOSE", "LED_KANA",
	"LED_MAIL", "LED_MAX", "LED_MISC", "LED_MUTE", "LED_NUML",
	"LED_SCROLLL", "LED_SLEEP", "LED_SUSPEND", "MSC_CNT",
	"MSC_GESTURE", "MSC_MAX", "MSC_PULSELED", "MSC_RAW", "MSC_SCAN",
	"MSC_SERIAL", "MSC_TIMESTAMP", "REL_CNT", "REL_DIAL", "REL_HWHEEL",
	"REL_MAX", "REL_MISC", "REL_RX", "REL_RY", "REL_RZ", "REL_WHEEL",
	"REL_X", "REL_Y", "REL_Z", "SND_BELL", "SND_CLICK", "SND_CNT",
	"SND_MAX", "SND_TONE", "SW_CAMERA_LENS_COVER", "SW_CNT", "SW_DOCK",
	"SW_FRONT_PROXIMITY", "SW_HEADPHONE_INSERT",
	"SW_JACK_PHYSICAL_INSERT", "SW_KEYPAD_SLIDE", "SW_LID",
	"SW_LINEIN_INSERT", "SW_LINEOUT_INSERT", "SW_MACHINE_COVER",
	"SW_MAX", "SW_MICROPHONE_INSERT", "SW_MUTE_DEVICE",
	"SW_PEN_INSERTED", "SW_RADIO", "SW_RFKILL_ALL", "SW_ROTATE_LOCK",
	"SW_TABLET_MODE", "SW_VIDEOOUT_INSERT"
);

# Sub declarations (prototypes):
sub ABS_BRAKE();
sub ABS_CNT();
sub ABS_DISTANCE();
sub ABS_GAS();
sub ABS_HAT0X();
sub ABS_HAT0Y();
sub ABS_HAT1X();
sub ABS_HAT1Y();
sub ABS_HAT2X();
sub ABS_HAT2Y();
sub ABS_HAT3X();
sub ABS_HAT3Y();
sub ABS_MAX();
sub ABS_MISC();
sub ABS_MT_BLOB_ID();
sub ABS_MT_DISTANCE();
sub ABS_MT_ORIENTATION();
sub ABS_MT_POSITION_X();
sub ABS_MT_POSITION_Y();
sub ABS_MT_PRESSURE();
sub ABS_MT_SLOT();
sub ABS_MT_TOOL_TYPE();
sub ABS_MT_TOOL_X();
sub ABS_MT_TOOL_Y();
sub ABS_MT_TOUCH_MAJOR();
sub ABS_MT_TOUCH_MINOR();
sub ABS_MT_TRACKING_ID();
sub ABS_MT_WIDTH_MAJOR();
sub ABS_MT_WIDTH_MINOR();
sub ABS_PRESSURE();
sub ABS_RESERVED();
sub ABS_RUDDER();
sub ABS_RX();
sub ABS_RY();
sub ABS_RZ();
sub ABS_THROTTLE();
sub ABS_TILT_X();
sub ABS_TILT_Y();
sub ABS_TOOL_WIDTH();
sub ABS_VOLUME();
sub ABS_WHEEL();
sub ABS_X();
sub ABS_Y();
sub ABS_Z();
sub BTN_0();
sub BTN_1();
sub BTN_2();
sub BTN_3();
sub BTN_4();
sub BTN_5();
sub BTN_6();
sub BTN_7();
sub BTN_8();
sub BTN_9();
sub BTN_A();
sub BTN_B();
sub BTN_BACK();
sub BTN_BASE();
sub BTN_BASE2();
sub BTN_BASE3();
sub BTN_BASE4();
sub BTN_BASE5();
sub BTN_BASE6();
sub BTN_C();
sub BTN_DEAD();
sub BTN_DIGI();
sub BTN_DPAD_DOWN();
sub BTN_DPAD_LEFT();
sub BTN_DPAD_RIGHT();
sub BTN_DPAD_UP();
sub BTN_EAST();
sub BTN_EXTRA();
sub BTN_FORWARD();
sub BTN_GAMEPAD();
sub BTN_GEAR_DOWN();
sub BTN_GEAR_UP();
sub BTN_JOYSTICK();
sub BTN_LEFT();
sub BTN_MIDDLE();
sub BTN_MISC();
sub BTN_MODE();
sub BTN_MOUSE();
sub BTN_NORTH();
sub BTN_PINKIE();
sub BTN_RIGHT();
sub BTN_SELECT();
sub BTN_SIDE();
sub BTN_SOUTH();
sub BTN_START();
sub BTN_STYLUS();
sub BTN_STYLUS2();
sub BTN_STYLUS3();
sub BTN_TASK();
sub BTN_THUMB();
sub BTN_THUMB2();
sub BTN_THUMBL();
sub BTN_THUMBR();
sub BTN_TL();
sub BTN_TL2();
sub BTN_TOOL_AIRBRUSH();
sub BTN_TOOL_BRUSH();
sub BTN_TOOL_DOUBLETAP();
sub BTN_TOOL_FINGER();
sub BTN_TOOL_LENS();
sub BTN_TOOL_MOUSE();
sub BTN_TOOL_PEN();
sub BTN_TOOL_PENCIL();
sub BTN_TOOL_QUADTAP();
sub BTN_TOOL_QUINTTAP();
sub BTN_TOOL_RUBBER();
sub BTN_TOOL_TRIPLETAP();
sub BTN_TOP();
sub BTN_TOP2();
sub BTN_TOUCH();
sub BTN_TR();
sub BTN_TR2();
sub BTN_TRIGGER();
sub BTN_TRIGGER_HAPPY();
sub BTN_TRIGGER_HAPPY1();
sub BTN_TRIGGER_HAPPY10();
sub BTN_TRIGGER_HAPPY11();
sub BTN_TRIGGER_HAPPY12();
sub BTN_TRIGGER_HAPPY13();
sub BTN_TRIGGER_HAPPY14();
sub BTN_TRIGGER_HAPPY15();
sub BTN_TRIGGER_HAPPY16();
sub BTN_TRIGGER_HAPPY17();
sub BTN_TRIGGER_HAPPY18();
sub BTN_TRIGGER_HAPPY19();
sub BTN_TRIGGER_HAPPY2();
sub BTN_TRIGGER_HAPPY20();
sub BTN_TRIGGER_HAPPY21();
sub BTN_TRIGGER_HAPPY22();
sub BTN_TRIGGER_HAPPY23();
sub BTN_TRIGGER_HAPPY24();
sub BTN_TRIGGER_HAPPY25();
sub BTN_TRIGGER_HAPPY26();
sub BTN_TRIGGER_HAPPY27();
sub BTN_TRIGGER_HAPPY28();
sub BTN_TRIGGER_HAPPY29();
sub BTN_TRIGGER_HAPPY3();
sub BTN_TRIGGER_HAPPY30();
sub BTN_TRIGGER_HAPPY31();
sub BTN_TRIGGER_HAPPY32();
sub BTN_TRIGGER_HAPPY33();
sub BTN_TRIGGER_HAPPY34();
sub BTN_TRIGGER_HAPPY35();
sub BTN_TRIGGER_HAPPY36();
sub BTN_TRIGGER_HAPPY37();
sub BTN_TRIGGER_HAPPY38();
sub BTN_TRIGGER_HAPPY39();
sub BTN_TRIGGER_HAPPY4();
sub BTN_TRIGGER_HAPPY40();
sub BTN_TRIGGER_HAPPY5();
sub BTN_TRIGGER_HAPPY6();
sub BTN_TRIGGER_HAPPY7();
sub BTN_TRIGGER_HAPPY8();
sub BTN_TRIGGER_HAPPY9();
sub BTN_WEST();
sub BTN_WHEEL();
sub BTN_X();
sub BTN_Y();
sub BTN_Z();
sub EV_ABS();
sub EV_CNT();
sub EV_FF();
sub EV_FF_STATUS();
sub EV_KEY();
sub EV_LED();
sub EV_MAX();
sub EV_MSC();
sub EV_PWR();
sub EV_REL();
sub EV_REP();
sub EV_SND();
sub EV_SW();
sub EV_SYN();
sub EV_VERSION();
sub FF_AUTOCENTER();
sub FF_CNT();
sub FF_CONSTANT();
sub FF_CUSTOM();
sub FF_DAMPER();
sub FF_EFFECT_MAX();
sub FF_EFFECT_MIN();
sub FF_FRICTION();
sub FF_GAIN();
sub FF_INERTIA();
sub FF_MAX();
sub FF_MAX_EFFECTS();
sub FF_PERIODIC();
sub FF_RAMP();
sub FF_RUMBLE();
sub FF_SAW_DOWN();
sub FF_SAW_UP();
sub FF_SINE();
sub FF_SPRING();
sub FF_SQUARE();
sub FF_STATUS_MAX();
sub FF_STATUS_PLAYING();
sub FF_STATUS_STOPPED();
sub FF_TRIANGLE();
sub FF_WAVEFORM_MAX();
sub FF_WAVEFORM_MIN();
sub KEY_0();
sub KEY_1();
sub KEY_102ND();
sub KEY_10CHANNELSDOWN();
sub KEY_10CHANNELSUP();
sub KEY_2();
sub KEY_3();
sub KEY_3D_MODE();
sub KEY_4();
sub KEY_5();
sub KEY_6();
sub KEY_7();
sub KEY_8();
sub KEY_9();
sub KEY_A();
sub KEY_AB();
sub KEY_ADDRESSBOOK();
sub KEY_AGAIN();
sub KEY_ALL_APPLICATIONS();
sub KEY_ALS_TOGGLE();
sub KEY_ALTERASE();
sub KEY_ANGLE();
sub KEY_APOSTROPHE();
sub KEY_APPSELECT();
sub KEY_ARCHIVE();
sub KEY_ASSISTANT();
sub KEY_ATTENDANT_OFF();
sub KEY_ATTENDANT_ON();
sub KEY_ATTENDANT_TOGGLE();
sub KEY_AUDIO();
sub KEY_AUDIO_DESC();
sub KEY_AUX();
sub KEY_B();
sub KEY_BACK();
sub KEY_BACKSLASH();
sub KEY_BACKSPACE();
sub KEY_BASSBOOST();
sub KEY_BATTERY();
sub KEY_BLUE();
sub KEY_BLUETOOTH();
sub KEY_BOOKMARKS();
sub KEY_BREAK();
sub KEY_BRIGHTNESSDOWN();
sub KEY_BRIGHTNESSUP();
sub KEY_BRIGHTNESS_AUTO();
sub KEY_BRIGHTNESS_CYCLE();
sub KEY_BRIGHTNESS_MAX();
sub KEY_BRIGHTNESS_MIN();
sub KEY_BRIGHTNESS_TOGGLE();
sub KEY_BRIGHTNESS_ZERO();
sub KEY_BRL_DOT1();
sub KEY_BRL_DOT10();
sub KEY_BRL_DOT2();
sub KEY_BRL_DOT3();
sub KEY_BRL_DOT4();
sub KEY_BRL_DOT5();
sub KEY_BRL_DOT6();
sub KEY_BRL_DOT7();
sub KEY_BRL_DOT8();
sub KEY_BRL_DOT9();
sub KEY_BUTTONCONFIG();
sub KEY_C();
sub KEY_CALC();
sub KEY_CALENDAR();
sub KEY_CAMERA();
sub KEY_CAMERA_DOWN();
sub KEY_CAMERA_FOCUS();
sub KEY_CAMERA_LEFT();
sub KEY_CAMERA_RIGHT();
sub KEY_CAMERA_UP();
sub KEY_CAMERA_ZOOMIN();
sub KEY_CAMERA_ZOOMOUT();
sub KEY_CANCEL();
sub KEY_CAPSLOCK();
sub KEY_CD();
sub KEY_CHANNEL();
sub KEY_CHANNELDOWN();
sub KEY_CHANNELUP();
sub KEY_CHAT();
sub KEY_CLEAR();
sub KEY_CLOSE();
sub KEY_CLOSECD();
sub KEY_CNT();
sub KEY_COFFEE();
sub KEY_COMMA();
sub KEY_COMPOSE();
sub KEY_COMPUTER();
sub KEY_CONFIG();
sub KEY_CONNECT();
sub KEY_CONTEXT_MENU();
sub KEY_CONTROLPANEL();
sub KEY_COPY();
sub KEY_CUT();
sub KEY_CYCLEWINDOWS();
sub KEY_D();
sub KEY_DASHBOARD();
sub KEY_DATA();
sub KEY_DATABASE();
sub KEY_DELETE();
sub KEY_DELETEFILE();
sub KEY_DEL_EOL();
sub KEY_DEL_EOS();
sub KEY_DEL_LINE();
sub KEY_DIGITS();
sub KEY_DIRECTION();
sub KEY_DIRECTORY();
sub KEY_DISPLAYTOGGLE();
sub KEY_DISPLAY_OFF();
sub KEY_DOCUMENTS();
sub KEY_DOLLAR();
sub KEY_DOT();
sub KEY_DOWN();
sub KEY_DVD();
sub KEY_E();
sub KEY_EDIT();
sub KEY_EDITOR();
sub KEY_EJECTCD();
sub KEY_EJECTCLOSECD();
sub KEY_EMAIL();
sub KEY_END();
sub KEY_ENTER();
sub KEY_EPG();
sub KEY_EQUAL();
sub KEY_ESC();
sub KEY_EURO();
sub KEY_EXIT();
sub KEY_F();
sub KEY_F1();
sub KEY_F10();
sub KEY_F11();
sub KEY_F12();
sub KEY_F13();
sub KEY_F14();
sub KEY_F15();
sub KEY_F16();
sub KEY_F17();
sub KEY_F18();
sub KEY_F19();
sub KEY_F2();
sub KEY_F20();
sub KEY_F21();
sub KEY_F22();
sub KEY_F23();
sub KEY_F24();
sub KEY_F3();
sub KEY_F4();
sub KEY_F5();
sub KEY_F6();
sub KEY_F7();
sub KEY_F8();
sub KEY_F9();
sub KEY_FASTFORWARD();
sub KEY_FASTREVERSE();
sub KEY_FAVORITES();
sub KEY_FILE();
sub KEY_FINANCE();
sub KEY_FIND();
sub KEY_FIRST();
sub KEY_FN();
sub KEY_FN_1();
sub KEY_FN_2();
sub KEY_FN_B();
sub KEY_FN_D();
sub KEY_FN_E();
sub KEY_FN_ESC();
sub KEY_FN_F();
sub KEY_FN_F1();
sub KEY_FN_F10();
sub KEY_FN_F11();
sub KEY_FN_F12();
sub KEY_FN_F2();
sub KEY_FN_F3();
sub KEY_FN_F4();
sub KEY_FN_F5();
sub KEY_FN_F6();
sub KEY_FN_F7();
sub KEY_FN_F8();
sub KEY_FN_F9();
sub KEY_FN_S();
sub KEY_FORWARD();
sub KEY_FORWARDMAIL();
sub KEY_FRAMEBACK();
sub KEY_FRAMEFORWARD();
sub KEY_FRONT();
sub KEY_G();
sub KEY_GAMES();
sub KEY_GOTO();
sub KEY_GRAPHICSEDITOR();
sub KEY_GRAVE();
sub KEY_GREEN();
sub KEY_H();
sub KEY_HANGEUL();
sub KEY_HANGUEL();
sub KEY_HANJA();
sub KEY_HELP();
sub KEY_HENKAN();
sub KEY_HIRAGANA();
sub KEY_HOME();
sub KEY_HOMEPAGE();
sub KEY_HP();
sub KEY_I();
sub KEY_IMAGES();
sub KEY_INFO();
sub KEY_INSERT();
sub KEY_INS_LINE();
sub KEY_ISO();
sub KEY_J();
sub KEY_JOURNAL();
sub KEY_K();
sub KEY_KATAKANA();
sub KEY_KATAKANAHIRAGANA();
sub KEY_KBDILLUMDOWN();
sub KEY_KBDILLUMTOGGLE();
sub KEY_KBDILLUMUP();
sub KEY_KBDINPUTASSIST_ACCEPT();
sub KEY_KBDINPUTASSIST_CANCEL();
sub KEY_KBDINPUTASSIST_NEXT();
sub KEY_KBDINPUTASSIST_NEXTGROUP();
sub KEY_KBDINPUTASSIST_PREV();
sub KEY_KBDINPUTASSIST_PREVGROUP();
sub KEY_KEYBOARD();
sub KEY_KP0();
sub KEY_KP1();
sub KEY_KP2();
sub KEY_KP3();
sub KEY_KP4();
sub KEY_KP5();
sub KEY_KP6();
sub KEY_KP7();
sub KEY_KP8();
sub KEY_KP9();
sub KEY_KPASTERISK();
sub KEY_KPCOMMA();
sub KEY_KPDOT();
sub KEY_KPENTER();
sub KEY_KPEQUAL();
sub KEY_KPJPCOMMA();
sub KEY_KPLEFTPAREN();
sub KEY_KPMINUS();
sub KEY_KPPLUS();
sub KEY_KPPLUSMINUS();
sub KEY_KPRIGHTPAREN();
sub KEY_KPSLASH();
sub KEY_L();
sub KEY_LANGUAGE();
sub KEY_LAST();
sub KEY_LEFT();
sub KEY_LEFTALT();
sub KEY_LEFTBRACE();
sub KEY_LEFTCTRL();
sub KEY_LEFTMETA();
sub KEY_LEFTSHIFT();
sub KEY_LEFT_DOWN();
sub KEY_LEFT_UP();
sub KEY_LIGHTS_TOGGLE();
sub KEY_LINEFEED();
sub KEY_LIST();
sub KEY_LOGOFF();
sub KEY_M();
sub KEY_MACRO();
sub KEY_MAIL();
sub KEY_MAX();
sub KEY_MEDIA();
sub KEY_MEDIA_REPEAT();
sub KEY_MEDIA_TOP_MENU();
sub KEY_MEMO();
sub KEY_MENU();
sub KEY_MESSENGER();
sub KEY_MHP();
sub KEY_MICMUTE();
sub KEY_MINUS();
sub KEY_MIN_INTERESTING();
sub KEY_MODE();
sub KEY_MOVE();
sub KEY_MP3();
sub KEY_MSDOS();
sub KEY_MUHENKAN();
sub KEY_MUTE();
sub KEY_N();
sub KEY_NEW();
sub KEY_NEWS();
sub KEY_NEXT();
sub KEY_NEXTSONG();
sub KEY_NEXT_FAVORITE();
sub KEY_NUMERIC_0();
sub KEY_NUMERIC_1();
sub KEY_NUMERIC_11();
sub KEY_NUMERIC_12();
sub KEY_NUMERIC_2();
sub KEY_NUMERIC_3();
sub KEY_NUMERIC_4();
sub KEY_NUMERIC_5();
sub KEY_NUMERIC_6();
sub KEY_NUMERIC_7();
sub KEY_NUMERIC_8();
sub KEY_NUMERIC_9();
sub KEY_NUMERIC_A();
sub KEY_NUMERIC_B();
sub KEY_NUMERIC_C();
sub KEY_NUMERIC_D();
sub KEY_NUMERIC_POUND();
sub KEY_NUMERIC_STAR();
sub KEY_NUMLOCK();
sub KEY_O();
sub KEY_OK();
sub KEY_ONSCREEN_KEYBOARD();
sub KEY_OPEN();
sub KEY_OPTION();
sub KEY_P();
sub KEY_PAGEDOWN();
sub KEY_PAGEUP();
sub KEY_PASTE();
sub KEY_PAUSE();
sub KEY_PAUSECD();
sub KEY_PAUSE_RECORD();
sub KEY_PC();
sub KEY_PHONE();
sub KEY_PLAY();
sub KEY_PLAYCD();
sub KEY_PLAYER();
sub KEY_PLAYPAUSE();
sub KEY_POWER();
sub KEY_POWER2();
sub KEY_PRESENTATION();
sub KEY_PREVIOUS();
sub KEY_PREVIOUSSONG();
sub KEY_PRINT();
sub KEY_PROG1();
sub KEY_PROG2();
sub KEY_PROG3();
sub KEY_PROG4();
sub KEY_PROGRAM();
sub KEY_PROPS();
sub KEY_PVR();
sub KEY_Q();
sub KEY_QUESTION();
sub KEY_R();
sub KEY_RADIO();
sub KEY_RECORD();
sub KEY_RED();
sub KEY_REDO();
sub KEY_REFRESH();
sub KEY_REPLY();
sub KEY_RESERVED();
sub KEY_RESTART();
sub KEY_REWIND();
sub KEY_RFKILL();
sub KEY_RIGHT();
sub KEY_RIGHTALT();
sub KEY_RIGHTBRACE();
sub KEY_RIGHTCTRL();
sub KEY_RIGHTMETA();
sub KEY_RIGHTSHIFT();
sub KEY_RIGHT_DOWN();
sub KEY_RIGHT_UP();
sub KEY_RO();
sub KEY_ROOT_MENU();
sub KEY_ROTATE_DISPLAY();
sub KEY_ROTATE_LOCK_TOGGLE();
sub KEY_S();
sub KEY_SAT();
sub KEY_SAT2();
sub KEY_SAVE();
sub KEY_SCALE();
sub KEY_SCREEN();
sub KEY_SCREENLOCK();
sub KEY_SCREENSAVER();
sub KEY_SCROLLDOWN();
sub KEY_SCROLLLOCK();
sub KEY_SCROLLUP();
sub KEY_SEARCH();
sub KEY_SELECT();
sub KEY_SEMICOLON();
sub KEY_SEND();
sub KEY_SENDFILE();
sub KEY_SETUP();
sub KEY_SHOP();
sub KEY_SHUFFLE();
sub KEY_SLASH();
sub KEY_SLEEP();
sub KEY_SLOW();
sub KEY_SLOWREVERSE();
sub KEY_SOUND();
sub KEY_SPACE();
sub KEY_SPELLCHECK();
sub KEY_SPORT();
sub KEY_SPREADSHEET();
sub KEY_STOP();
sub KEY_STOPCD();
sub KEY_STOP_RECORD();
sub KEY_SUBTITLE();
sub KEY_SUSPEND();
sub KEY_SWITCHVIDEOMODE();
sub KEY_SYSRQ();
sub KEY_T();
sub KEY_TAB();
sub KEY_TAPE();
sub KEY_TASKMANAGER();
sub KEY_TEEN();
sub KEY_TEXT();
sub KEY_TIME();
sub KEY_TITLE();
sub KEY_TOUCHPAD_OFF();
sub KEY_TOUCHPAD_ON();
sub KEY_TOUCHPAD_TOGGLE();
sub KEY_TUNER();
sub KEY_TV();
sub KEY_TV2();
sub KEY_TWEN();
sub KEY_U();
sub KEY_UNDO();
sub KEY_UNKNOWN();
sub KEY_UNMUTE();
sub KEY_UP();
sub KEY_UWB();
sub KEY_V();
sub KEY_VCR();
sub KEY_VCR2();
sub KEY_VENDOR();
sub KEY_VIDEO();
sub KEY_VIDEOPHONE();
sub KEY_VIDEO_NEXT();
sub KEY_VIDEO_PREV();
sub KEY_VOD();
sub KEY_VOICECOMMAND();
sub KEY_VOICEMAIL();
sub KEY_VOLUMEDOWN();
sub KEY_VOLUMEUP();
sub KEY_W();
sub KEY_WAKEUP();
sub KEY_WIMAX();
sub KEY_WLAN();
sub KEY_WORDPROCESSOR();
sub KEY_WPS_BUTTON();
sub KEY_WWAN();
sub KEY_WWW();
sub KEY_X();
sub KEY_XFER();
sub KEY_Y();
sub KEY_YELLOW();
sub KEY_YEN();
sub KEY_Z();
sub KEY_ZENKAKUHANKAKU();
sub KEY_ZOOM();
sub KEY_ZOOMIN();
sub KEY_ZOOMOUT();
sub KEY_ZOOMRESET();
sub LED_CAPSL();
sub LED_CHARGING();
sub LED_CNT();
sub LED_COMPOSE();
sub LED_KANA();
sub LED_MAIL();
sub LED_MAX();
sub LED_MISC();
sub LED_MUTE();
sub LED_NUML();
sub LED_SCROLLL();
sub LED_SLEEP();
sub LED_SUSPEND();
sub MSC_CNT();
sub MSC_GESTURE();
sub MSC_MAX();
sub MSC_PULSELED();
sub MSC_RAW();
sub MSC_SCAN();
sub MSC_SERIAL();
sub MSC_TIMESTAMP();
sub REL_CNT();
sub REL_DIAL();
sub REL_HWHEEL();
sub REL_MAX();
sub REL_MISC();
sub REL_RX();
sub REL_RY();
sub REL_RZ();
sub REL_WHEEL();
sub REL_X();
sub REL_Y();
sub REL_Z();
sub SND_BELL();
sub SND_CLICK();
sub SND_CNT();
sub SND_MAX();
sub SND_TONE();
sub SW_CAMERA_LENS_COVER();
sub SW_CNT();
sub SW_DOCK();
sub SW_FRONT_PROXIMITY();
sub SW_HEADPHONE_INSERT();
sub SW_JACK_PHYSICAL_INSERT();
sub SW_KEYPAD_SLIDE();
sub SW_LID();
sub SW_LINEIN_INSERT();
sub SW_LINEOUT_INSERT();
sub SW_MACHINE_COVER();
sub SW_MAX();
sub SW_MICROPHONE_INSERT();
sub SW_MUTE_DEVICE();
sub SW_PEN_INSERTED();
sub SW_RADIO();
sub SW_RFKILL_ALL();
sub SW_ROTATE_LOCK();
sub SW_TABLET_MODE();
sub SW_VIDEOOUT_INSERT();

# Sub definitions:
sub LED_MUTE() { 7 }
sub LED_KANA() { 4 }
sub LED_NUML() { 0 }
sub LED_CAPSL() { 1 }
sub LED_CNT() { (LED_MAX+1) }
sub LED_CHARGING() { 10 }
sub LED_SUSPEND() { 6 }
sub LED_SLEEP() { 5 }
sub LED_MAX() { 15 }
sub LED_MISC() { 8 }
sub LED_COMPOSE() { 3 }
sub LED_SCROLLL() { 2 }
sub LED_MAIL() { 9 }
sub SW_RADIO() { SW_RFKILL_ALL }
sub SW_FRONT_PROXIMITY() { 11 }
sub SW_TABLET_MODE() { 1 }
sub SW_LINEIN_INSERT() { 13 }
sub SW_HEADPHONE_INSERT() { 2 }
sub SW_KEYPAD_SLIDE() { 10 }
sub SW_MUTE_DEVICE() { 14 }
sub SW_PEN_INSERTED() { 15 }
sub SW_DOCK() { 5 }
sub SW_JACK_PHYSICAL_INSERT() { 7 }
sub SW_LINEOUT_INSERT() { 6 }
sub SW_MICROPHONE_INSERT() { 4 }
sub SW_LID() { 0 }
sub SW_CAMERA_LENS_COVER() { 9 }
sub SW_MAX() { 16 }
sub SW_ROTATE_LOCK() { 12 }
sub SW_CNT() { (SW_MAX+1) }
sub SW_VIDEOOUT_INSERT() { 8 }
sub SW_RFKILL_ALL() { 3 }
sub SW_MACHINE_COVER() { 16 }
sub SND_BELL() { 1 }
sub SND_TONE() { 2 }
sub SND_CLICK() { 0 }
sub SND_CNT() { (SND_MAX+1) }
sub SND_MAX() { 7 }
sub EV_MAX() { 31 }
sub EV_LED() { 17 }
sub EV_KEY() { 1 }
sub EV_MSC() { 4 }
sub EV_CNT() { (EV_MAX+1) }
sub EV_FF_STATUS() { 23 }
sub EV_REP() { 20 }
sub EV_SW() { 5 }
sub EV_SYN() { 0 }
sub EV_REL() { 2 }
sub EV_SND() { 18 }
sub EV_ABS() { 3 }
sub EV_FF() { 21 }
sub EV_VERSION() { 65537 }
sub EV_PWR() { 22 }
sub MSC_GESTURE() { 2 }
sub MSC_TIMESTAMP() { 5 }
sub MSC_RAW() { 3 }
sub MSC_MAX() { 7 }
sub MSC_SERIAL() { 0 }
sub MSC_SCAN() { 4 }
sub MSC_PULSELED() { 1 }
sub MSC_CNT() { (MSC_MAX+1) }
sub FF_STATUS_STOPPED() { 0 }
sub FF_INERTIA() { 86 }
sub FF_TRIANGLE() { 89 }
sub FF_RUMBLE() { 80 }
sub FF_RAMP() { 87 }
sub FF_AUTOCENTER() { 97 }
sub FF_GAIN() { 96 }
sub FF_CNT() { (FF_MAX+1) }
sub FF_FRICTION() { 84 }
sub FF_DAMPER() { 85 }
sub FF_WAVEFORM_MIN() { FF_SQUARE }
sub FF_CUSTOM() { 93 }
sub FF_SQUARE() { 88 }
sub FF_EFFECT_MIN() { FF_RUMBLE }
sub FF_EFFECT_MAX() { FF_RAMP }
sub FF_CONSTANT() { 82 }
sub FF_STATUS_MAX() { 1 }
sub FF_PERIODIC() { 81 }
sub FF_SINE() { 90 }
sub FF_STATUS_PLAYING() { 1 }
sub FF_SAW_UP() { 91 }
sub FF_SPRING() { 83 }
sub FF_MAX() { 127 }
sub FF_MAX_EFFECTS() { FF_GAIN }
sub FF_WAVEFORM_MAX() { FF_CUSTOM }
sub FF_SAW_DOWN() { 92 }
sub KEY_F16() { 186 }
sub KEY_HENKAN() { 92 }
sub KEY_NUMERIC_D() { 527 }
sub KEY_TITLE() { 369 }
sub KEY_COPY() { 133 }
sub KEY_F1() { 59 }
sub KEY_3D_MODE() { 623 }
sub KEY_DEL_EOL() { 448 }
sub BTN_7() { 263 }
sub KEY_ESC() { 1 }
sub KEY_NUMERIC_A() { 524 }
sub KEY_FN() { 464 }
sub BTN_TOOL_RUBBER() { 321 }
sub BTN_TOOL_AIRBRUSH() { 324 }
sub KEY_N() { 49 }
sub KEY_PRESENTATION() { 425 }
sub KEY_CLEAR() { 355 }
sub KEY_CONFIG() { 171 }
sub BTN_TRIGGER_HAPPY27() { 730 }
sub BTN_WHEEL() { 336 }
sub KEY_MICMUTE() { 248 }
sub KEY_FN_F5() { 470 }
sub KEY_NUMERIC_STAR() { 522 }
sub KEY_SUSPEND() { 205 }
sub BTN_TOOL_DOUBLETAP() { 333 }
sub BTN_8() { 264 }
sub KEY_NUMERIC_0() { 512 }
sub BTN_TOOL_BRUSH() { 322 }
sub KEY_CANCEL() { 223 }
sub KEY_APOSTROPHE() { 40 }
sub KEY_BOOKMARKS() { 156 }
sub KEY_WWAN() { 246 }
sub BTN_BASE6() { 299 }
sub KEY_INS_LINE() { 450 }
sub KEY_FN_F3() { 468 }
sub KEY_BACKSPACE() { 14 }
sub KEY_FN_F2() { 467 }
sub KEY_FN_F10() { 475 }
sub KEY_FASTREVERSE() { 629 }
sub KEY_O() { 24 }
sub KEY_SELECT() { 353 }
sub KEY_BUTTONCONFIG() { 576 }
sub KEY_MEDIA_TOP_MENU() { 619 }
sub KEY_ZENKAKUHANKAKU() { 85 }
sub KEY_XFER() { 147 }
sub KEY_MINUS() { 12 }
sub KEY_AUX() { 390 }
sub KEY_SCROLLDOWN() { 178 }
sub KEY_COMPUTER() { 157 }
sub KEY_ZOOMRESET() { 420 }
sub KEY_H() { 35 }
sub KEY_SHUFFLE() { 410 }
sub KEY_IMAGES() { 442 }
sub KEY_F10() { 68 }
sub KEY_STOPCD() { 166 }
sub KEY_SCALE() { 120 }
sub KEY_NUMERIC_C() { 526 }
sub KEY_TAPE() { 384 }
sub BTN_Z() { 309 }
sub KEY_BRL_DOT1() { 497 }
sub KEY_T() { 20 }
sub KEY_FIND() { 136 }
sub KEY_NUMERIC_9() { 521 }
sub KEY_TIME() { 359 }
sub KEY_PVR() { 366 }
sub KEY_FAVORITES() { 364 }
sub KEY_JOURNAL() { 578 }
sub KEY_SUBTITLE() { 370 }
sub BTN_TR() { 311 }
sub KEY_EPG() { 365 }
sub BTN_MISC() { 256 }
sub KEY_FN_1() { 478 }
sub BTN_GEAR_DOWN() { 336 }
sub KEY_AB() { 406 }
sub KEY_VIDEO() { 393 }
sub KEY_NUMERIC_POUND() { 523 }
sub KEY_PAUSE() { 119 }
sub BTN_2() { 258 }
sub KEY_DATA() { 631 }
sub KEY_POWER2() { 356 }
sub KEY_BATTERY() { 236 }
sub KEY_ARCHIVE() { 361 }
sub BTN_TRIGGER_HAPPY11() { 714 }
sub KEY_CALENDAR() { 397 }
sub KEY_C() { 46 }
sub KEY_ATTENDANT_OFF() { 540 }
sub BTN_DPAD_RIGHT() { 547 }
sub BTN_GAMEPAD() { 304 }
sub BTN_THUMB() { 289 }
sub BTN_PINKIE() { 293 }
sub KEY_RECORD() { 167 }
sub KEY_PROPS() { 130 }
sub KEY_BRL_DOT4() { 500 }
sub KEY_RESTART() { 408 }
sub KEY_SCREEN() { 375 }
sub KEY_DVD() { 389 }
sub KEY_HELP() { 138 }
sub KEY_SEMICOLON() { 39 }
sub KEY_REPLY() { 232 }
sub BTN_DIGI() { 320 }
sub KEY_F21() { 191 }
sub BTN_TRIGGER_HAPPY31() { 734 }
sub BTN_TRIGGER_HAPPY() { 704 }
sub KEY_PHONE() { 169 }
sub BTN_EAST() { 305 }
sub KEY_UWB() { 239 }
sub KEY_VCR() { 379 }
sub KEY_NUMERIC_3() { 515 }
sub KEY_FRAMEBACK() { 436 }
sub KEY_F6() { 64 }
sub BTN_MIDDLE() { 274 }
sub BTN_RIGHT() { 273 }
sub KEY_CLOSE() { 206 }
sub BTN_MODE() { 316 }
sub KEY_LEFTMETA() { 125 }
sub BTN_LEFT() { 272 }
sub KEY_VENDOR() { 360 }
sub KEY_VIDEO_PREV() { 242 }
sub KEY_COFFEE() { 152 }
sub BTN_MOUSE() { 272 }
sub KEY_FN_F9() { 474 }
sub KEY_HANGUEL() { KEY_HANGEUL }
sub KEY_ROTATE_LOCK_TOGGLE() { 561 }
sub KEY_EURO() { 435 }
sub KEY_SAVE() { 234 }
sub KEY_BREAK() { 411 }
sub KEY_FN_F11() { 476 }
sub KEY_F14() { 184 }
sub KEY_NUMERIC_4() { 516 }
sub KEY_PROG4() { 203 }
sub KEY_RIGHT_DOWN() { 615 }
sub KEY_KBDINPUTASSIST_NEXT() { 609 }
sub KEY_L() { 38 }
sub BTN_SOUTH() { 304 }
sub KEY_FN_F() { 482 }
sub KEY_REDO() { 182 }
sub KEY_4() { 5 }
sub KEY_AUDIO() { 392 }
sub KEY_NUMLOCK() { 69 }
sub BTN_9() { 265 }
sub KEY_SLOWREVERSE() { 630 }
sub KEY_TV() { 377 }
sub KEY_BRL_DOT7() { 503 }
sub KEY_PROG1() { 148 }
sub KEY_MESSENGER() { 430 }
sub KEY_FN_ESC() { 465 }
sub KEY_DASHBOARD() { KEY_ALL_APPLICATIONS }
sub KEY_S() { 31 }
sub KEY_REFRESH() { 173 }
sub KEY_D() { 32 }
sub KEY_CONTEXT_MENU() { 438 }
sub KEY_DEL_LINE() { 451 }
sub BTN_EXTRA() { 276 }
sub BTN_TRIGGER_HAPPY26() { 729 }
sub KEY_9() { 10 }
sub BTN_DEAD() { 303 }
sub KEY_ONSCREEN_KEYBOARD() { 632 }
sub BTN_TRIGGER_HAPPY30() { 733 }
sub KEY_CHAT() { 216 }
sub KEY_EJECTCD() { 161 }
sub KEY_KPEQUAL() { 117 }
sub BTN_4() { 260 }
sub KEY_KBDINPUTASSIST_NEXTGROUP() { 611 }
sub KEY_OPEN() { 134 }
sub BTN_WEST() { 308 }
sub BTN_TRIGGER_HAPPY29() { 732 }
sub KEY_CAMERA_DOWN() { 536 }
sub KEY_HIRAGANA() { 91 }
sub KEY_DEL_EOS() { 449 }
sub KEY_LEFT() { 105 }
sub KEY_MODE() { 373 }
sub BTN_TRIGGER_HAPPY10() { 713 }
sub KEY_BRIGHTNESS_MAX() { 593 }
sub KEY_RIGHT() { 106 }
sub KEY_TOUCHPAD_ON() { 531 }
sub KEY_NUMERIC_6() { 518 }
sub KEY_WPS_BUTTON() { 529 }
sub KEY_END() { 107 }
sub KEY_PC() { 376 }
sub KEY_F22() { 192 }
sub KEY_UP() { 103 }
sub KEY_BRIGHTNESS_TOGGLE() { KEY_DISPLAYTOGGLE }
sub BTN_NORTH() { 307 }
sub KEY_TAB() { 15 }
sub KEY_SCROLLUP() { 177 }
sub KEY_BRIGHTNESSUP() { 225 }
sub BTN_TRIGGER_HAPPY8() { 711 }
sub KEY_BRL_DOT8() { 504 }
sub KEY_KP4() { 75 }
sub KEY_LEFTBRACE() { 26 }
sub KEY_KPPLUS() { 78 }
sub BTN_JOYSTICK() { 288 }
sub KEY_WORDPROCESSOR() { 421 }
sub KEY_VOICECOMMAND() { 582 }
sub KEY_NUMERIC_12() { 621 }
sub KEY_KBDILLUMUP() { 230 }
sub KEY_BRL_DOT3() { 499 }
sub KEY_WIMAX() { KEY_WWAN }
sub KEY_FN_F12() { 477 }
sub KEY_INFO() { 358 }
sub KEY_PREVIOUSSONG() { 165 }
sub KEY_FRAMEFORWARD() { 437 }
sub KEY_SEND() { 231 }
sub KEY_UNMUTE() { 628 }
sub KEY_EQUAL() { 13 }
sub KEY_ISO() { 170 }
sub KEY_LEFTCTRL() { 29 }
sub KEY_ASSISTANT() { 583 }
sub KEY_2() { 3 }
sub KEY_NUMERIC_8() { 520 }
sub BTN_DPAD_DOWN() { 545 }
sub KEY_RIGHTCTRL() { 97 }
sub KEY_TUNER() { 386 }
sub KEY_F23() { 193 }
sub BTN_TRIGGER_HAPPY22() { 725 }
sub BTN_TRIGGER_HAPPY25() { 728 }
sub KEY_BRIGHTNESSDOWN() { 224 }
sub KEY_CHANNELUP() { 402 }
sub KEY_MP3() { 391 }
sub KEY_V() { 47 }
sub BTN_BASE() { 294 }
sub KEY_FN_F7() { 472 }
sub BTN_C() { 306 }
sub KEY_GOTO() { 354 }
sub KEY_Z() { 44 }
sub KEY_SENDFILE() { 145 }
sub KEY_I() { 23 }
sub KEY_SLEEP() { 142 }
sub KEY_RIGHT_UP() { 614 }
sub BTN_TL2() { 312 }
sub KEY_NUMERIC_1() { 513 }
sub KEY_MEMO() { 396 }
sub BTN_TRIGGER_HAPPY13() { 716 }
sub KEY_SLASH() { 53 }
sub KEY_CAMERA() { 212 }
sub BTN_TRIGGER_HAPPY33() { 736 }
sub KEY_KPENTER() { 96 }
sub KEY_KP6() { 77 }
sub KEY_KBDINPUTASSIST_ACCEPT() { 612 }
sub BTN_TOOL_FINGER() { 325 }
sub BTN_TRIGGER_HAPPY5() { 708 }
sub KEY_W() { 17 }
sub BTN_TRIGGER_HAPPY40() { 743 }
sub KEY_APPSELECT() { 580 }
sub BTN_BASE3() { 296 }
sub BTN_SELECT() { 314 }
sub KEY_TEXT() { 388 }
sub KEY_FN_F6() { 471 }
sub KEY_KPCOMMA() { 121 }
sub BTN_BASE5() { 298 }
sub KEY_SCROLLLOCK() { 70 }
sub KEY_BRL_DOT9() { 505 }
sub KEY_RADIO() { 385 }
sub BTN_TOOL_QUADTAP() { 335 }
sub KEY_ZOOM() { 372 }
sub BTN_STYLUS2() { 332 }
sub KEY_KEYBOARD() { 374 }
sub KEY_8() { 9 }
sub KEY_KPJPCOMMA() { 95 }
sub BTN_TRIGGER_HAPPY38() { 741 }
sub KEY_OK() { 352 }
sub BTN_TOOL_MOUSE() { 326 }
sub BTN_TRIGGER_HAPPY2() { 705 }
sub KEY_GREEN() { 399 }
sub KEY_STOP() { 128 }
sub KEY_DELETEFILE() { 146 }
sub KEY_QUESTION() { 214 }
sub KEY_MEDIA() { 226 }
sub KEY_VCR2() { 380 }
sub KEY_VOD() { 627 }
sub BTN_BASE2() { 295 }
sub BTN_TRIGGER_HAPPY34() { 737 }
sub KEY_SPELLCHECK() { 432 }
sub KEY_COMMA() { 51 }
sub KEY_NEXT() { 407 }
sub KEY_CD() { 383 }
sub KEY_M() { 50 }
sub BTN_TRIGGER_HAPPY14() { 717 }
sub BTN_TOOL_LENS() { 327 }
sub KEY_CONTROLPANEL() { 579 }
sub KEY_NEXTSONG() { 163 }
sub KEY_LEFT_UP() { 616 }
sub KEY_OPTION() { 357 }
sub KEY_KPMINUS() { 74 }
sub KEY_DOT() { 52 }
sub BTN_TRIGGER_HAPPY7() { 710 }
sub KEY_F3() { 61 }
sub KEY_KPPLUSMINUS() { 118 }
sub KEY_HANGEUL() { 122 }
sub KEY_SLOW() { 409 }
sub KEY_7() { 8 }
sub BTN_TRIGGER_HAPPY18() { 721 }
sub KEY_KBDINPUTASSIST_PREV() { 608 }
sub KEY_KP0() { 82 }
sub KEY_LINEFEED() { 101 }
sub KEY_5() { 6 }
sub KEY_EDITOR() { 422 }
sub KEY_CLOSECD() { 160 }
sub KEY_SHOP() { 221 }
sub KEY_F4() { 62 }
sub KEY_MOVE() { 175 }
sub BTN_BASE4() { 297 }
sub KEY_RIGHTMETA() { 126 }
sub KEY_CAPSLOCK() { 58 }
sub KEY_BRIGHTNESS_AUTO() { 244 }
sub KEY_TV2() { 378 }
sub KEY_YELLOW() { 400 }
sub KEY_UNDO() { 131 }
sub KEY_EXIT() { 174 }
sub KEY_KPLEFTPAREN() { 179 }
sub KEY_FN_B() { 484 }
sub BTN_STYLUS3() { 329 }
sub KEY_ATTENDANT_ON() { 539 }
sub KEY_MSDOS() { 151 }
sub KEY_ANGLE() { 371 }
sub KEY_6() { 7 }
sub KEY_KATAKANA() { 90 }
sub BTN_SIDE() { 275 }
sub KEY_KP5() { 76 }
sub KEY_SPREADSHEET() { 423 }
sub KEY_HP() { 211 }
sub KEY_TWEN() { 415 }
sub KEY_F9() { 67 }
sub KEY_LANGUAGE() { 368 }
sub KEY_Q() { 16 }
sub KEY_HOME() { 102 }
sub KEY_FN_E() { 481 }
sub BTN_THUMB2() { 290 }
sub KEY_ROOT_MENU() { 618 }
sub KEY_PAUSECD() { 201 }
sub KEY_CAMERA_RIGHT() { 538 }
sub KEY_VIDEO_NEXT() { 241 }
sub BTN_TRIGGER_HAPPY17() { 720 }
sub KEY_3() { 4 }
sub KEY_VOLUMEDOWN() { 114 }
sub KEY_KPSLASH() { 98 }
sub KEY_SETUP() { 141 }
sub KEY_FRONT() { 132 }
sub KEY_R() { 19 }
sub KEY_POWER() { 116 }
sub KEY_G() { 34 }
sub KEY_X() { 45 }
sub KEY_HOMEPAGE() { 172 }
sub KEY_BRIGHTNESS_ZERO() { KEY_BRIGHTNESS_AUTO }
sub KEY_F19() { 189 }
sub BTN_TRIGGER_HAPPY37() { 740 }
sub KEY_P() { 25 }
sub KEY_1() { 2 }
sub KEY_KATAKANAHIRAGANA() { 93 }
sub KEY_COMPOSE() { 127 }
sub KEY_RESERVED() { 0 }
sub BTN_GEAR_UP() { 337 }
sub BTN_BACK() { 278 }
sub KEY_KPRIGHTPAREN() { 180 }
sub BTN_FORWARD() { 277 }
sub KEY_GRAPHICSEDITOR() { 424 }
sub KEY_BLUETOOTH() { 237 }
sub KEY_MUTE() { 113 }
sub KEY_PRINT() { 210 }
sub KEY_0() { 11 }
sub KEY_F13() { 183 }
sub KEY_FN_S() { 483 }
sub KEY_CAMERA_FOCUS() { 528 }
sub KEY_YEN() { 124 }
sub KEY_MHP() { 367 }
sub KEY_SCREENSAVER() { 581 }
sub KEY_CAMERA_ZOOMIN() { 533 }
sub KEY_F7() { 65 }
sub KEY_FILE() { 144 }
sub KEY_102ND() { 86 }
sub KEY_DELETE() { 111 }
sub KEY_ZOOMIN() { 418 }
sub KEY_NUMERIC_B() { 525 }
sub KEY_KBDINPUTASSIST_CANCEL() { 613 }
sub BTN_TRIGGER() { 288 }
sub KEY_MUHENKAN() { 94 }
sub KEY_LIST() { 395 }
sub KEY_LEFTALT() { 56 }
sub KEY_HANJA() { 123 }
sub KEY_ALTERASE() { 222 }
sub KEY_ZOOMOUT() { 419 }
sub KEY_KPASTERISK() { 55 }
sub BTN_TR2() { 313 }
sub KEY_DIGITS() { 413 }
sub BTN_TRIGGER_HAPPY6() { 709 }
sub BTN_THUMBL() { 317 }
sub KEY_MAX() { 767 }
sub KEY_KP8() { 72 }
sub KEY_RIGHTSHIFT() { 54 }
sub KEY_PAUSE_RECORD() { 626 }
sub KEY_SAT2() { 382 }
sub KEY_KP7() { 71 }
sub BTN_TOP2() { 292 }
sub KEY_SYSRQ() { 99 }
sub BTN_THUMBR() { 318 }
sub KEY_BRIGHTNESS_CYCLE() { 243 }
sub KEY_CONNECT() { 218 }
sub KEY_LAST() { 405 }
sub KEY_CAMERA_LEFT() { 537 }
sub KEY_A() { 30 }
sub BTN_Y() { BTN_WEST }
sub KEY_WAKEUP() { 143 }
sub KEY_MACRO() { 112 }
sub BTN_B() { BTN_EAST }
sub KEY_LIGHTS_TOGGLE() { 542 }
sub KEY_KPDOT() { 83 }
sub KEY_BRL_DOT2() { 498 }
sub KEY_CALC() { 140 }
sub KEY_F12() { 88 }
sub KEY_AUDIO_DESC() { 622 }
sub KEY_PLAY() { 207 }
sub KEY_KP1() { 79 }
sub KEY_EJECTCLOSECD() { 162 }
sub KEY_GAMES() { 417 }
sub KEY_CNT() { (KEY_MAX+1) }
sub KEY_ROTATE_DISPLAY() { 153 }
sub KEY_DATABASE() { 426 }
sub KEY_CHANNEL() { 363 }
sub KEY_BRIGHTNESS_MIN() { 592 }
sub BTN_TRIGGER_HAPPY21() { 724 }
sub KEY_SPORT() { 220 }
sub KEY_DOLLAR() { 434 }
sub KEY_BRL_DOT5() { 501 }
sub KEY_PAGEUP() { 104 }
sub BTN_TRIGGER_HAPPY15() { 718 }
sub KEY_NUMERIC_7() { 519 }
sub KEY_E() { 18 }
sub KEY_CAMERA_ZOOMOUT() { 534 }
sub KEY_ENTER() { 28 }
sub KEY_PROGRAM() { 362 }
sub KEY_F24() { 194 }
sub KEY_BRL_DOT10() { 506 }
sub KEY_F18() { 188 }
sub KEY_KBDILLUMTOGGLE() { 228 }
sub KEY_WWW() { 150 }
sub BTN_TRIGGER_HAPPY9() { 712 }
sub BTN_TOOL_PEN() { 320 }
sub KEY_F5() { 63 }
sub BTN_TASK() { 279 }
sub KEY_F17() { 187 }
sub KEY_LOGOFF() { 433 }
sub KEY_DOWN() { 108 }
sub BTN_TRIGGER_HAPPY12() { 715 }
sub KEY_ALL_APPLICATIONS() { 204 }
sub KEY_TASKMANAGER() { 577 }
sub KEY_F() { 33 }
sub KEY_B() { 48 }
sub KEY_NUMERIC_5() { 517 }
sub KEY_Y() { 21 }
sub KEY_KP3() { 81 }
sub KEY_NEXT_FAVORITE() { 624 }
sub BTN_TRIGGER_HAPPY32() { 735 }
sub BTN_A() { BTN_SOUTH }
sub KEY_U() { 22 }
sub KEY_BACKSLASH() { 43 }
sub BTN_TOOL_TRIPLETAP() { 334 }
sub BTN_TRIGGER_HAPPY35() { 738 }
sub KEY_VOLUMEUP() { 115 }
sub BTN_TRIGGER_HAPPY4() { 707 }
sub KEY_PROG2() { 149 }
sub KEY_FN_2() { 479 }
sub KEY_VIDEOPHONE() { 416 }
sub KEY_F11() { 87 }
sub KEY_AGAIN() { 129 }
sub BTN_TRIGGER_HAPPY36() { 739 }
sub KEY_PROG3() { 202 }
sub KEY_UNKNOWN() { 240 }
sub KEY_PLAYCD() { 200 }
sub KEY_PLAYER() { 387 }
sub KEY_VOICEMAIL() { 428 }
sub KEY_KBDINPUTASSIST_PREVGROUP() { 610 }
sub BTN_TRIGGER_HAPPY39() { 742 }
sub BTN_START() { 315 }
sub KEY_TOUCHPAD_OFF() { 532 }
sub KEY_STOP_RECORD() { 625 }
sub KEY_MAIL() { 155 }
sub BTN_TRIGGER_HAPPY20() { 723 }
sub KEY_DISPLAYTOGGLE() { 431 }
sub BTN_TL() { 310 }
sub KEY_SEARCH() { 217 }
sub BTN_DPAD_LEFT() { 546 }
sub KEY_SCREENLOCK() { KEY_COFFEE }
sub BTN_TRIGGER_HAPPY19() { 722 }
sub KEY_NEW() { 181 }
sub BTN_0() { 256 }
sub KEY_DIRECTORY() { 394 }
sub BTN_DPAD_UP() { 544 }
sub KEY_FORWARDMAIL() { 233 }
sub KEY_EMAIL() { 215 }
sub KEY_TOUCHPAD_TOGGLE() { 530 }
sub KEY_KP2() { 80 }
sub KEY_NUMERIC_11() { 620 }
sub BTN_TRIGGER_HAPPY16() { 719 }
sub KEY_FN_F8() { 473 }
sub KEY_LEFTSHIFT() { 42 }
sub KEY_FN_F1() { 466 }
sub KEY_SPACE() { 57 }
sub BTN_TOUCH() { 330 }
sub KEY_WLAN() { 238 }
sub BTN_TRIGGER_HAPPY3() { 706 }
sub KEY_BRL_DOT6() { 502 }
sub BTN_TOOL_PENCIL() { 323 }
sub BTN_STYLUS() { 331 }
sub KEY_10CHANNELSUP() { 440 }
sub BTN_X() { BTN_NORTH }
sub BTN_TRIGGER_HAPPY28() { 731 }
sub KEY_PASTE() { 135 }
sub KEY_BASSBOOST() { 209 }
sub KEY_ADDRESSBOOK() { 429 }
sub KEY_TEEN() { 414 }
sub KEY_CUT() { 137 }
sub KEY_FORWARD() { 159 }
sub BTN_TRIGGER_HAPPY24() { 727 }
sub KEY_PREVIOUS() { 412 }
sub BTN_1() { 257 }
sub KEY_FN_F4() { 469 }
sub KEY_BACK() { 158 }
sub KEY_F15() { 185 }
sub KEY_ALS_TOGGLE() { 560 }
sub KEY_DISPLAY_OFF() { 245 }
sub KEY_CAMERA_UP() { 535 }
sub KEY_MIN_INTERESTING() { KEY_MUTE }
sub KEY_RIGHTALT() { 100 }
sub KEY_F20() { 190 }
sub KEY_RIGHTBRACE() { 27 }
sub KEY_CYCLEWINDOWS() { 154 }
sub KEY_K() { 37 }
sub KEY_10CHANNELSDOWN() { 441 }
sub KEY_F8() { 66 }
sub BTN_3() { 259 }
sub KEY_REWIND() { 168 }
sub BTN_TRIGGER_HAPPY1() { 704 }
sub KEY_RED() { 398 }
sub KEY_BLUE() { 401 }
sub KEY_KP9() { 73 }
sub KEY_NEWS() { 427 }
sub KEY_RO() { 89 }
sub KEY_CHANNELDOWN() { 403 }
sub KEY_DOCUMENTS() { 235 }
sub KEY_NUMERIC_2() { 514 }
sub KEY_PAGEDOWN() { 109 }
sub KEY_ATTENDANT_TOGGLE() { 541 }
sub BTN_6() { 262 }
sub KEY_FN_D() { 480 }
sub BTN_TOOL_QUINTTAP() { 328 }
sub KEY_GRAVE() { 41 }
sub BTN_TOP() { 291 }
sub KEY_RFKILL() { 247 }
sub KEY_SAT() { 381 }
sub KEY_FIRST() { 404 }
sub KEY_INSERT() { 110 }
sub KEY_FINANCE() { 219 }
sub KEY_F2() { 60 }
sub KEY_KBDILLUMDOWN() { 229 }
sub BTN_5() { 261 }
sub KEY_MENU() { 139 }
sub BTN_TRIGGER_HAPPY23() { 726 }
sub KEY_LEFT_DOWN() { 617 }
sub KEY_J() { 36 }
sub KEY_SWITCHVIDEOMODE() { 227 }
sub KEY_FASTFORWARD() { 208 }
sub KEY_PLAYPAUSE() { 164 }
sub KEY_DIRECTION() { KEY_ROTATE_DISPLAY }
sub KEY_EDIT() { 176 }
sub KEY_SOUND() { 213 }
sub KEY_MEDIA_REPEAT() { 439 }
sub REL_WHEEL() { 8 }
sub REL_MAX() { 15 }
sub REL_RZ() { 5 }
sub REL_CNT() { (REL_MAX+1) }
sub REL_RX() { 3 }
sub REL_DIAL() { 7 }
sub REL_Z() { 2 }
sub REL_Y() { 1 }
sub REL_X() { 0 }
sub REL_RY() { 4 }
sub REL_HWHEEL() { 6 }
sub REL_MISC() { 9 }
sub ABS_MT_TOOL_TYPE() { 55 }
sub ABS_DISTANCE() { 25 }
sub ABS_GAS() { 9 }
sub ABS_MT_BLOB_ID() { 56 }
sub ABS_BRAKE() { 10 }
sub ABS_HAT1X() { 18 }
sub ABS_Z() { 2 }
sub ABS_MT_TRACKING_ID() { 57 }
sub ABS_MT_ORIENTATION() { 52 }
sub ABS_MT_SLOT() { 47 }
sub ABS_HAT3Y() { 23 }
sub ABS_MISC() { 40 }
sub ABS_HAT0Y() { 17 }
sub ABS_MT_TOUCH_MAJOR() { 48 }
sub ABS_MAX() { 63 }
sub ABS_Y() { 1 }
sub ABS_MT_WIDTH_MAJOR() { 50 }
sub ABS_MT_TOOL_Y() { 61 }
sub ABS_MT_TOOL_X() { 60 }
sub ABS_HAT2X() { 20 }
sub ABS_TOOL_WIDTH() { 28 }
sub ABS_RZ() { 5 }
sub ABS_MT_TOUCH_MINOR() { 49 }
sub ABS_WHEEL() { 8 }
sub ABS_MT_POSITION_Y() { 54 }
sub ABS_RX() { 3 }
sub ABS_MT_WIDTH_MINOR() { 51 }
sub ABS_PRESSURE() { 24 }
sub ABS_RY() { 4 }
sub ABS_HAT2Y() { 21 }
sub ABS_TILT_Y() { 27 }
sub ABS_CNT() { (ABS_MAX+1) }
sub ABS_MT_DISTANCE() { 59 }
sub ABS_TILT_X() { 26 }
sub ABS_HAT1Y() { 19 }
sub ABS_X() { 0 }
sub ABS_VOLUME() { 32 }
sub ABS_MT_POSITION_X() { 53 }
sub ABS_MT_PRESSURE() { 58 }
sub ABS_HAT3X() { 22 }
sub ABS_THROTTLE() { 6 }
sub ABS_RUDDER() { 7 }
sub ABS_HAT0X() { 16 }
sub ABS_RESERVED() { 46 }

# Reverse lookup table:
our %_REVERSE_TABLE = (
	'LED' => {
		LED_MUTE() => 'LED_MUTE',
		LED_KANA() => 'LED_KANA',
		LED_NUML() => 'LED_NUML',
		LED_CAPSL() => 'LED_CAPSL',
		LED_CNT() => 'LED_CNT',
		LED_CHARGING() => 'LED_CHARGING',
		LED_SUSPEND() => 'LED_SUSPEND',
		LED_SLEEP() => 'LED_SLEEP',
		LED_MAX() => 'LED_MAX',
		LED_MISC() => 'LED_MISC',
		LED_COMPOSE() => 'LED_COMPOSE',
		LED_SCROLLL() => 'LED_SCROLLL',
		LED_MAIL() => 'LED_MAIL',
	},
	'SW' => {
		SW_RADIO() => 'SW_RADIO',
		SW_FRONT_PROXIMITY() => 'SW_FRONT_PROXIMITY',
		SW_TABLET_MODE() => 'SW_TABLET_MODE',
		SW_LINEIN_INSERT() => 'SW_LINEIN_INSERT',
		SW_HEADPHONE_INSERT() => 'SW_HEADPHONE_INSERT',
		SW_KEYPAD_SLIDE() => 'SW_KEYPAD_SLIDE',
		SW_MUTE_DEVICE() => 'SW_MUTE_DEVICE',
		SW_PEN_INSERTED() => 'SW_PEN_INSERTED',
		SW_DOCK() => 'SW_DOCK',
		SW_JACK_PHYSICAL_INSERT() => 'SW_JACK_PHYSICAL_INSERT',
		SW_LINEOUT_INSERT() => 'SW_LINEOUT_INSERT',
		SW_MICROPHONE_INSERT() => 'SW_MICROPHONE_INSERT',
		SW_LID() => 'SW_LID',
		SW_CAMERA_LENS_COVER() => 'SW_CAMERA_LENS_COVER',
		SW_MAX() => 'SW_MAX',
		SW_ROTATE_LOCK() => 'SW_ROTATE_LOCK',
		SW_CNT() => 'SW_CNT',
		SW_VIDEOOUT_INSERT() => 'SW_VIDEOOUT_INSERT',
		SW_RFKILL_ALL() => 'SW_RFKILL_ALL',
		SW_MACHINE_COVER() => 'SW_MACHINE_COVER',
	},
	'SND' => {
		SND_BELL() => 'SND_BELL',
		SND_TONE() => 'SND_TONE',
		SND_CLICK() => 'SND_CLICK',
		SND_CNT() => 'SND_CNT',
		SND_MAX() => 'SND_MAX',
	},
	'EV' => {
		EV_MAX() => 'EV_MAX',
		EV_LED() => 'EV_LED',
		EV_KEY() => 'EV_KEY',
		EV_MSC() => 'EV_MSC',
		EV_CNT() => 'EV_CNT',
		EV_FF_STATUS() => 'EV_FF_STATUS',
		EV_REP() => 'EV_REP',
		EV_SW() => 'EV_SW',
		EV_SYN() => 'EV_SYN',
		EV_REL() => 'EV_REL',
		EV_SND() => 'EV_SND',
		EV_ABS() => 'EV_ABS',
		EV_FF() => 'EV_FF',
		EV_VERSION() => 'EV_VERSION',
		EV_PWR() => 'EV_PWR',
	},
	'MSC' => {
		MSC_GESTURE() => 'MSC_GESTURE',
		MSC_TIMESTAMP() => 'MSC_TIMESTAMP',
		MSC_RAW() => 'MSC_RAW',
		MSC_MAX() => 'MSC_MAX',
		MSC_SERIAL() => 'MSC_SERIAL',
		MSC_SCAN() => 'MSC_SCAN',
		MSC_PULSELED() => 'MSC_PULSELED',
		MSC_CNT() => 'MSC_CNT',
	},
	'FF' => {
		FF_STATUS_STOPPED() => 'FF_STATUS_STOPPED',
		FF_INERTIA() => 'FF_INERTIA',
		FF_TRIANGLE() => 'FF_TRIANGLE',
		FF_RUMBLE() => 'FF_RUMBLE',
		FF_RAMP() => 'FF_RAMP',
		FF_AUTOCENTER() => 'FF_AUTOCENTER',
		FF_GAIN() => 'FF_GAIN',
		FF_CNT() => 'FF_CNT',
		FF_FRICTION() => 'FF_FRICTION',
		FF_DAMPER() => 'FF_DAMPER',
		FF_WAVEFORM_MIN() => 'FF_WAVEFORM_MIN',
		FF_CUSTOM() => 'FF_CUSTOM',
		FF_SQUARE() => 'FF_SQUARE',
		FF_EFFECT_MIN() => 'FF_EFFECT_MIN',
		FF_EFFECT_MAX() => 'FF_EFFECT_MAX',
		FF_CONSTANT() => 'FF_CONSTANT',
		FF_STATUS_MAX() => 'FF_STATUS_MAX',
		FF_PERIODIC() => 'FF_PERIODIC',
		FF_SINE() => 'FF_SINE',
		FF_STATUS_PLAYING() => 'FF_STATUS_PLAYING',
		FF_SAW_UP() => 'FF_SAW_UP',
		FF_SPRING() => 'FF_SPRING',
		FF_MAX() => 'FF_MAX',
		FF_MAX_EFFECTS() => 'FF_MAX_EFFECTS',
		FF_WAVEFORM_MAX() => 'FF_WAVEFORM_MAX',
		FF_SAW_DOWN() => 'FF_SAW_DOWN',
	},
	'KEY' => {
		KEY_F16() => 'KEY_F16',
		KEY_HENKAN() => 'KEY_HENKAN',
		KEY_NUMERIC_D() => 'KEY_NUMERIC_D',
		KEY_TITLE() => 'KEY_TITLE',
		KEY_COPY() => 'KEY_COPY',
		KEY_F1() => 'KEY_F1',
		KEY_3D_MODE() => 'KEY_3D_MODE',
		KEY_DEL_EOL() => 'KEY_DEL_EOL',
		BTN_7() => 'BTN_7',
		KEY_ESC() => 'KEY_ESC',
		KEY_NUMERIC_A() => 'KEY_NUMERIC_A',
		KEY_FN() => 'KEY_FN',
		BTN_TOOL_RUBBER() => 'BTN_TOOL_RUBBER',
		BTN_TOOL_AIRBRUSH() => 'BTN_TOOL_AIRBRUSH',
		KEY_N() => 'KEY_N',
		KEY_PRESENTATION() => 'KEY_PRESENTATION',
		KEY_CLEAR() => 'KEY_CLEAR',
		KEY_CONFIG() => 'KEY_CONFIG',
		BTN_TRIGGER_HAPPY27() => 'BTN_TRIGGER_HAPPY27',
		BTN_WHEEL() => 'BTN_WHEEL',
		KEY_MICMUTE() => 'KEY_MICMUTE',
		KEY_FN_F5() => 'KEY_FN_F5',
		KEY_NUMERIC_STAR() => 'KEY_NUMERIC_STAR',
		KEY_SUSPEND() => 'KEY_SUSPEND',
		BTN_TOOL_DOUBLETAP() => 'BTN_TOOL_DOUBLETAP',
		BTN_8() => 'BTN_8',
		KEY_NUMERIC_0() => 'KEY_NUMERIC_0',
		BTN_TOOL_BRUSH() => 'BTN_TOOL_BRUSH',
		KEY_CANCEL() => 'KEY_CANCEL',
		KEY_APOSTROPHE() => 'KEY_APOSTROPHE',
		KEY_BOOKMARKS() => 'KEY_BOOKMARKS',
		KEY_WWAN() => 'KEY_WWAN',
		BTN_BASE6() => 'BTN_BASE6',
		KEY_INS_LINE() => 'KEY_INS_LINE',
		KEY_FN_F3() => 'KEY_FN_F3',
		KEY_BACKSPACE() => 'KEY_BACKSPACE',
		KEY_FN_F2() => 'KEY_FN_F2',
		KEY_FN_F10() => 'KEY_FN_F10',
		KEY_FASTREVERSE() => 'KEY_FASTREVERSE',
		KEY_O() => 'KEY_O',
		KEY_SELECT() => 'KEY_SELECT',
		KEY_BUTTONCONFIG() => 'KEY_BUTTONCONFIG',
		KEY_MEDIA_TOP_MENU() => 'KEY_MEDIA_TOP_MENU',
		KEY_ZENKAKUHANKAKU() => 'KEY_ZENKAKUHANKAKU',
		KEY_XFER() => 'KEY_XFER',
		KEY_MINUS() => 'KEY_MINUS',
		KEY_AUX() => 'KEY_AUX',
		KEY_SCROLLDOWN() => 'KEY_SCROLLDOWN',
		KEY_COMPUTER() => 'KEY_COMPUTER',
		KEY_ZOOMRESET() => 'KEY_ZOOMRESET',
		KEY_H() => 'KEY_H',
		KEY_SHUFFLE() => 'KEY_SHUFFLE',
		KEY_IMAGES() => 'KEY_IMAGES',
		KEY_F10() => 'KEY_F10',
		KEY_STOPCD() => 'KEY_STOPCD',
		KEY_SCALE() => 'KEY_SCALE',
		KEY_NUMERIC_C() => 'KEY_NUMERIC_C',
		KEY_TAPE() => 'KEY_TAPE',
		BTN_Z() => 'BTN_Z',
		KEY_BRL_DOT1() => 'KEY_BRL_DOT1',
		KEY_T() => 'KEY_T',
		KEY_FIND() => 'KEY_FIND',
		KEY_NUMERIC_9() => 'KEY_NUMERIC_9',
		KEY_TIME() => 'KEY_TIME',
		KEY_PVR() => 'KEY_PVR',
		KEY_FAVORITES() => 'KEY_FAVORITES',
		KEY_JOURNAL() => 'KEY_JOURNAL',
		KEY_SUBTITLE() => 'KEY_SUBTITLE',
		BTN_TR() => 'BTN_TR',
		KEY_EPG() => 'KEY_EPG',
		BTN_MISC() => 'BTN_MISC',
		KEY_FN_1() => 'KEY_FN_1',
		BTN_GEAR_DOWN() => 'BTN_GEAR_DOWN',
		KEY_AB() => 'KEY_AB',
		KEY_VIDEO() => 'KEY_VIDEO',
		KEY_NUMERIC_POUND() => 'KEY_NUMERIC_POUND',
		KEY_PAUSE() => 'KEY_PAUSE',
		BTN_2() => 'BTN_2',
		KEY_DATA() => 'KEY_DATA',
		KEY_POWER2() => 'KEY_POWER2',
		KEY_BATTERY() => 'KEY_BATTERY',
		KEY_ARCHIVE() => 'KEY_ARCHIVE',
		BTN_TRIGGER_HAPPY11() => 'BTN_TRIGGER_HAPPY11',
		KEY_CALENDAR() => 'KEY_CALENDAR',
		KEY_C() => 'KEY_C',
		KEY_ATTENDANT_OFF() => 'KEY_ATTENDANT_OFF',
		BTN_DPAD_RIGHT() => 'BTN_DPAD_RIGHT',
		BTN_GAMEPAD() => 'BTN_GAMEPAD',
		BTN_THUMB() => 'BTN_THUMB',
		BTN_PINKIE() => 'BTN_PINKIE',
		KEY_RECORD() => 'KEY_RECORD',
		KEY_PROPS() => 'KEY_PROPS',
		KEY_BRL_DOT4() => 'KEY_BRL_DOT4',
		KEY_RESTART() => 'KEY_RESTART',
		KEY_SCREEN() => 'KEY_SCREEN',
		KEY_DVD() => 'KEY_DVD',
		KEY_HELP() => 'KEY_HELP',
		KEY_SEMICOLON() => 'KEY_SEMICOLON',
		KEY_REPLY() => 'KEY_REPLY',
		BTN_DIGI() => 'BTN_DIGI',
		KEY_F21() => 'KEY_F21',
		BTN_TRIGGER_HAPPY31() => 'BTN_TRIGGER_HAPPY31',
		BTN_TRIGGER_HAPPY() => 'BTN_TRIGGER_HAPPY',
		KEY_PHONE() => 'KEY_PHONE',
		BTN_EAST() => 'BTN_EAST',
		KEY_UWB() => 'KEY_UWB',
		KEY_VCR() => 'KEY_VCR',
		KEY_NUMERIC_3() => 'KEY_NUMERIC_3',
		KEY_FRAMEBACK() => 'KEY_FRAMEBACK',
		KEY_F6() => 'KEY_F6',
		BTN_MIDDLE() => 'BTN_MIDDLE',
		BTN_RIGHT() => 'BTN_RIGHT',
		KEY_CLOSE() => 'KEY_CLOSE',
		BTN_MODE() => 'BTN_MODE',
		KEY_LEFTMETA() => 'KEY_LEFTMETA',
		BTN_LEFT() => 'BTN_LEFT',
		KEY_VENDOR() => 'KEY_VENDOR',
		KEY_VIDEO_PREV() => 'KEY_VIDEO_PREV',
		KEY_COFFEE() => 'KEY_COFFEE',
		BTN_MOUSE() => 'BTN_MOUSE',
		KEY_FN_F9() => 'KEY_FN_F9',
		KEY_HANGUEL() => 'KEY_HANGUEL',
		KEY_ROTATE_LOCK_TOGGLE() => 'KEY_ROTATE_LOCK_TOGGLE',
		KEY_EURO() => 'KEY_EURO',
		KEY_SAVE() => 'KEY_SAVE',
		KEY_BREAK() => 'KEY_BREAK',
		KEY_FN_F11() => 'KEY_FN_F11',
		KEY_F14() => 'KEY_F14',
		KEY_NUMERIC_4() => 'KEY_NUMERIC_4',
		KEY_PROG4() => 'KEY_PROG4',
		KEY_RIGHT_DOWN() => 'KEY_RIGHT_DOWN',
		KEY_KBDINPUTASSIST_NEXT() => 'KEY_KBDINPUTASSIST_NEXT',
		KEY_L() => 'KEY_L',
		BTN_SOUTH() => 'BTN_SOUTH',
		KEY_FN_F() => 'KEY_FN_F',
		KEY_REDO() => 'KEY_REDO',
		KEY_4() => 'KEY_4',
		KEY_AUDIO() => 'KEY_AUDIO',
		KEY_NUMLOCK() => 'KEY_NUMLOCK',
		BTN_9() => 'BTN_9',
		KEY_SLOWREVERSE() => 'KEY_SLOWREVERSE',
		KEY_TV() => 'KEY_TV',
		KEY_BRL_DOT7() => 'KEY_BRL_DOT7',
		KEY_PROG1() => 'KEY_PROG1',
		KEY_MESSENGER() => 'KEY_MESSENGER',
		KEY_FN_ESC() => 'KEY_FN_ESC',
		KEY_DASHBOARD() => 'KEY_DASHBOARD',
		KEY_S() => 'KEY_S',
		KEY_REFRESH() => 'KEY_REFRESH',
		KEY_D() => 'KEY_D',
		KEY_CONTEXT_MENU() => 'KEY_CONTEXT_MENU',
		KEY_DEL_LINE() => 'KEY_DEL_LINE',
		BTN_EXTRA() => 'BTN_EXTRA',
		BTN_TRIGGER_HAPPY26() => 'BTN_TRIGGER_HAPPY26',
		KEY_9() => 'KEY_9',
		BTN_DEAD() => 'BTN_DEAD',
		KEY_ONSCREEN_KEYBOARD() => 'KEY_ONSCREEN_KEYBOARD',
		BTN_TRIGGER_HAPPY30() => 'BTN_TRIGGER_HAPPY30',
		KEY_CHAT() => 'KEY_CHAT',
		KEY_EJECTCD() => 'KEY_EJECTCD',
		KEY_KPEQUAL() => 'KEY_KPEQUAL',
		BTN_4() => 'BTN_4',
		KEY_KBDINPUTASSIST_NEXTGROUP() => 'KEY_KBDINPUTASSIST_NEXTGROUP',
		KEY_OPEN() => 'KEY_OPEN',
		BTN_WEST() => 'BTN_WEST',
		BTN_TRIGGER_HAPPY29() => 'BTN_TRIGGER_HAPPY29',
		KEY_CAMERA_DOWN() => 'KEY_CAMERA_DOWN',
		KEY_HIRAGANA() => 'KEY_HIRAGANA',
		KEY_DEL_EOS() => 'KEY_DEL_EOS',
		KEY_LEFT() => 'KEY_LEFT',
		KEY_MODE() => 'KEY_MODE',
		BTN_TRIGGER_HAPPY10() => 'BTN_TRIGGER_HAPPY10',
		KEY_BRIGHTNESS_MAX() => 'KEY_BRIGHTNESS_MAX',
		KEY_RIGHT() => 'KEY_RIGHT',
		KEY_TOUCHPAD_ON() => 'KEY_TOUCHPAD_ON',
		KEY_NUMERIC_6() => 'KEY_NUMERIC_6',
		KEY_WPS_BUTTON() => 'KEY_WPS_BUTTON',
		KEY_END() => 'KEY_END',
		KEY_PC() => 'KEY_PC',
		KEY_F22() => 'KEY_F22',
		KEY_UP() => 'KEY_UP',
		KEY_BRIGHTNESS_TOGGLE() => 'KEY_BRIGHTNESS_TOGGLE',
		BTN_NORTH() => 'BTN_NORTH',
		KEY_TAB() => 'KEY_TAB',
		KEY_SCROLLUP() => 'KEY_SCROLLUP',
		KEY_BRIGHTNESSUP() => 'KEY_BRIGHTNESSUP',
		BTN_TRIGGER_HAPPY8() => 'BTN_TRIGGER_HAPPY8',
		KEY_BRL_DOT8() => 'KEY_BRL_DOT8',
		KEY_KP4() => 'KEY_KP4',
		KEY_LEFTBRACE() => 'KEY_LEFTBRACE',
		KEY_KPPLUS() => 'KEY_KPPLUS',
		BTN_JOYSTICK() => 'BTN_JOYSTICK',
		KEY_WORDPROCESSOR() => 'KEY_WORDPROCESSOR',
		KEY_VOICECOMMAND() => 'KEY_VOICECOMMAND',
		KEY_NUMERIC_12() => 'KEY_NUMERIC_12',
		KEY_KBDILLUMUP() => 'KEY_KBDILLUMUP',
		KEY_BRL_DOT3() => 'KEY_BRL_DOT3',
		KEY_WIMAX() => 'KEY_WIMAX',
		KEY_FN_F12() => 'KEY_FN_F12',
		KEY_INFO() => 'KEY_INFO',
		KEY_PREVIOUSSONG() => 'KEY_PREVIOUSSONG',
		KEY_FRAMEFORWARD() => 'KEY_FRAMEFORWARD',
		KEY_SEND() => 'KEY_SEND',
		KEY_UNMUTE() => 'KEY_UNMUTE',
		KEY_EQUAL() => 'KEY_EQUAL',
		KEY_ISO() => 'KEY_ISO',
		KEY_LEFTCTRL() => 'KEY_LEFTCTRL',
		KEY_ASSISTANT() => 'KEY_ASSISTANT',
		KEY_2() => 'KEY_2',
		KEY_NUMERIC_8() => 'KEY_NUMERIC_8',
		BTN_DPAD_DOWN() => 'BTN_DPAD_DOWN',
		KEY_RIGHTCTRL() => 'KEY_RIGHTCTRL',
		KEY_TUNER() => 'KEY_TUNER',
		KEY_F23() => 'KEY_F23',
		BTN_TRIGGER_HAPPY22() => 'BTN_TRIGGER_HAPPY22',
		BTN_TRIGGER_HAPPY25() => 'BTN_TRIGGER_HAPPY25',
		KEY_BRIGHTNESSDOWN() => 'KEY_BRIGHTNESSDOWN',
		KEY_CHANNELUP() => 'KEY_CHANNELUP',
		KEY_MP3() => 'KEY_MP3',
		KEY_V() => 'KEY_V',
		BTN_BASE() => 'BTN_BASE',
		KEY_FN_F7() => 'KEY_FN_F7',
		BTN_C() => 'BTN_C',
		KEY_GOTO() => 'KEY_GOTO',
		KEY_Z() => 'KEY_Z',
		KEY_SENDFILE() => 'KEY_SENDFILE',
		KEY_I() => 'KEY_I',
		KEY_SLEEP() => 'KEY_SLEEP',
		KEY_RIGHT_UP() => 'KEY_RIGHT_UP',
		BTN_TL2() => 'BTN_TL2',
		KEY_NUMERIC_1() => 'KEY_NUMERIC_1',
		KEY_MEMO() => 'KEY_MEMO',
		BTN_TRIGGER_HAPPY13() => 'BTN_TRIGGER_HAPPY13',
		KEY_SLASH() => 'KEY_SLASH',
		KEY_CAMERA() => 'KEY_CAMERA',
		BTN_TRIGGER_HAPPY33() => 'BTN_TRIGGER_HAPPY33',
		KEY_KPENTER() => 'KEY_KPENTER',
		KEY_KP6() => 'KEY_KP6',
		KEY_KBDINPUTASSIST_ACCEPT() => 'KEY_KBDINPUTASSIST_ACCEPT',
		BTN_TOOL_FINGER() => 'BTN_TOOL_FINGER',
		BTN_TRIGGER_HAPPY5() => 'BTN_TRIGGER_HAPPY5',
		KEY_W() => 'KEY_W',
		BTN_TRIGGER_HAPPY40() => 'BTN_TRIGGER_HAPPY40',
		KEY_APPSELECT() => 'KEY_APPSELECT',
		BTN_BASE3() => 'BTN_BASE3',
		BTN_SELECT() => 'BTN_SELECT',
		KEY_TEXT() => 'KEY_TEXT',
		KEY_FN_F6() => 'KEY_FN_F6',
		KEY_KPCOMMA() => 'KEY_KPCOMMA',
		BTN_BASE5() => 'BTN_BASE5',
		KEY_SCROLLLOCK() => 'KEY_SCROLLLOCK',
		KEY_BRL_DOT9() => 'KEY_BRL_DOT9',
		KEY_RADIO() => 'KEY_RADIO',
		BTN_TOOL_QUADTAP() => 'BTN_TOOL_QUADTAP',
		KEY_ZOOM() => 'KEY_ZOOM',
		BTN_STYLUS2() => 'BTN_STYLUS2',
		KEY_KEYBOARD() => 'KEY_KEYBOARD',
		KEY_8() => 'KEY_8',
		KEY_KPJPCOMMA() => 'KEY_KPJPCOMMA',
		BTN_TRIGGER_HAPPY38() => 'BTN_TRIGGER_HAPPY38',
		KEY_OK() => 'KEY_OK',
		BTN_TOOL_MOUSE() => 'BTN_TOOL_MOUSE',
		BTN_TRIGGER_HAPPY2() => 'BTN_TRIGGER_HAPPY2',
		KEY_GREEN() => 'KEY_GREEN',
		KEY_STOP() => 'KEY_STOP',
		KEY_DELETEFILE() => 'KEY_DELETEFILE',
		KEY_QUESTION() => 'KEY_QUESTION',
		KEY_MEDIA() => 'KEY_MEDIA',
		KEY_VCR2() => 'KEY_VCR2',
		KEY_VOD() => 'KEY_VOD',
		BTN_BASE2() => 'BTN_BASE2',
		BTN_TRIGGER_HAPPY34() => 'BTN_TRIGGER_HAPPY34',
		KEY_SPELLCHECK() => 'KEY_SPELLCHECK',
		KEY_COMMA() => 'KEY_COMMA',
		KEY_NEXT() => 'KEY_NEXT',
		KEY_CD() => 'KEY_CD',
		KEY_M() => 'KEY_M',
		BTN_TRIGGER_HAPPY14() => 'BTN_TRIGGER_HAPPY14',
		BTN_TOOL_LENS() => 'BTN_TOOL_LENS',
		KEY_CONTROLPANEL() => 'KEY_CONTROLPANEL',
		KEY_NEXTSONG() => 'KEY_NEXTSONG',
		KEY_LEFT_UP() => 'KEY_LEFT_UP',
		KEY_OPTION() => 'KEY_OPTION',
		KEY_KPMINUS() => 'KEY_KPMINUS',
		KEY_DOT() => 'KEY_DOT',
		BTN_TRIGGER_HAPPY7() => 'BTN_TRIGGER_HAPPY7',
		KEY_F3() => 'KEY_F3',
		KEY_KPPLUSMINUS() => 'KEY_KPPLUSMINUS',
		KEY_HANGEUL() => 'KEY_HANGEUL',
		KEY_SLOW() => 'KEY_SLOW',
		KEY_7() => 'KEY_7',
		BTN_TRIGGER_HAPPY18() => 'BTN_TRIGGER_HAPPY18',
		KEY_KBDINPUTASSIST_PREV() => 'KEY_KBDINPUTASSIST_PREV',
		KEY_KP0() => 'KEY_KP0',
		KEY_LINEFEED() => 'KEY_LINEFEED',
		KEY_5() => 'KEY_5',
		KEY_EDITOR() => 'KEY_EDITOR',
		KEY_CLOSECD() => 'KEY_CLOSECD',
		KEY_SHOP() => 'KEY_SHOP',
		KEY_F4() => 'KEY_F4',
		KEY_MOVE() => 'KEY_MOVE',
		BTN_BASE4() => 'BTN_BASE4',
		KEY_RIGHTMETA() => 'KEY_RIGHTMETA',
		KEY_CAPSLOCK() => 'KEY_CAPSLOCK',
		KEY_BRIGHTNESS_AUTO() => 'KEY_BRIGHTNESS_AUTO',
		KEY_TV2() => 'KEY_TV2',
		KEY_YELLOW() => 'KEY_YELLOW',
		KEY_UNDO() => 'KEY_UNDO',
		KEY_EXIT() => 'KEY_EXIT',
		KEY_KPLEFTPAREN() => 'KEY_KPLEFTPAREN',
		KEY_FN_B() => 'KEY_FN_B',
		BTN_STYLUS3() => 'BTN_STYLUS3',
		KEY_ATTENDANT_ON() => 'KEY_ATTENDANT_ON',
		KEY_MSDOS() => 'KEY_MSDOS',
		KEY_ANGLE() => 'KEY_ANGLE',
		KEY_6() => 'KEY_6',
		KEY_KATAKANA() => 'KEY_KATAKANA',
		BTN_SIDE() => 'BTN_SIDE',
		KEY_KP5() => 'KEY_KP5',
		KEY_SPREADSHEET() => 'KEY_SPREADSHEET',
		KEY_HP() => 'KEY_HP',
		KEY_TWEN() => 'KEY_TWEN',
		KEY_F9() => 'KEY_F9',
		KEY_LANGUAGE() => 'KEY_LANGUAGE',
		KEY_Q() => 'KEY_Q',
		KEY_HOME() => 'KEY_HOME',
		KEY_FN_E() => 'KEY_FN_E',
		BTN_THUMB2() => 'BTN_THUMB2',
		KEY_ROOT_MENU() => 'KEY_ROOT_MENU',
		KEY_PAUSECD() => 'KEY_PAUSECD',
		KEY_CAMERA_RIGHT() => 'KEY_CAMERA_RIGHT',
		KEY_VIDEO_NEXT() => 'KEY_VIDEO_NEXT',
		BTN_TRIGGER_HAPPY17() => 'BTN_TRIGGER_HAPPY17',
		KEY_3() => 'KEY_3',
		KEY_VOLUMEDOWN() => 'KEY_VOLUMEDOWN',
		KEY_KPSLASH() => 'KEY_KPSLASH',
		KEY_SETUP() => 'KEY_SETUP',
		KEY_FRONT() => 'KEY_FRONT',
		KEY_R() => 'KEY_R',
		KEY_POWER() => 'KEY_POWER',
		KEY_G() => 'KEY_G',
		KEY_X() => 'KEY_X',
		KEY_HOMEPAGE() => 'KEY_HOMEPAGE',
		KEY_BRIGHTNESS_ZERO() => 'KEY_BRIGHTNESS_ZERO',
		KEY_F19() => 'KEY_F19',
		BTN_TRIGGER_HAPPY37() => 'BTN_TRIGGER_HAPPY37',
		KEY_P() => 'KEY_P',
		KEY_1() => 'KEY_1',
		KEY_KATAKANAHIRAGANA() => 'KEY_KATAKANAHIRAGANA',
		KEY_COMPOSE() => 'KEY_COMPOSE',
		KEY_RESERVED() => 'KEY_RESERVED',
		BTN_GEAR_UP() => 'BTN_GEAR_UP',
		BTN_BACK() => 'BTN_BACK',
		KEY_KPRIGHTPAREN() => 'KEY_KPRIGHTPAREN',
		BTN_FORWARD() => 'BTN_FORWARD',
		KEY_GRAPHICSEDITOR() => 'KEY_GRAPHICSEDITOR',
		KEY_BLUETOOTH() => 'KEY_BLUETOOTH',
		KEY_MUTE() => 'KEY_MUTE',
		KEY_PRINT() => 'KEY_PRINT',
		KEY_0() => 'KEY_0',
		KEY_F13() => 'KEY_F13',
		KEY_FN_S() => 'KEY_FN_S',
		KEY_CAMERA_FOCUS() => 'KEY_CAMERA_FOCUS',
		KEY_YEN() => 'KEY_YEN',
		KEY_MHP() => 'KEY_MHP',
		KEY_SCREENSAVER() => 'KEY_SCREENSAVER',
		KEY_CAMERA_ZOOMIN() => 'KEY_CAMERA_ZOOMIN',
		KEY_F7() => 'KEY_F7',
		KEY_FILE() => 'KEY_FILE',
		KEY_102ND() => 'KEY_102ND',
		KEY_DELETE() => 'KEY_DELETE',
		KEY_ZOOMIN() => 'KEY_ZOOMIN',
		KEY_NUMERIC_B() => 'KEY_NUMERIC_B',
		KEY_KBDINPUTASSIST_CANCEL() => 'KEY_KBDINPUTASSIST_CANCEL',
		BTN_TRIGGER() => 'BTN_TRIGGER',
		KEY_MUHENKAN() => 'KEY_MUHENKAN',
		KEY_LIST() => 'KEY_LIST',
		KEY_LEFTALT() => 'KEY_LEFTALT',
		KEY_HANJA() => 'KEY_HANJA',
		KEY_ALTERASE() => 'KEY_ALTERASE',
		KEY_ZOOMOUT() => 'KEY_ZOOMOUT',
		KEY_KPASTERISK() => 'KEY_KPASTERISK',
		BTN_TR2() => 'BTN_TR2',
		KEY_DIGITS() => 'KEY_DIGITS',
		BTN_TRIGGER_HAPPY6() => 'BTN_TRIGGER_HAPPY6',
		BTN_THUMBL() => 'BTN_THUMBL',
		KEY_MAX() => 'KEY_MAX',
		KEY_KP8() => 'KEY_KP8',
		KEY_RIGHTSHIFT() => 'KEY_RIGHTSHIFT',
		KEY_PAUSE_RECORD() => 'KEY_PAUSE_RECORD',
		KEY_SAT2() => 'KEY_SAT2',
		KEY_KP7() => 'KEY_KP7',
		BTN_TOP2() => 'BTN_TOP2',
		KEY_SYSRQ() => 'KEY_SYSRQ',
		BTN_THUMBR() => 'BTN_THUMBR',
		KEY_BRIGHTNESS_CYCLE() => 'KEY_BRIGHTNESS_CYCLE',
		KEY_CONNECT() => 'KEY_CONNECT',
		KEY_LAST() => 'KEY_LAST',
		KEY_CAMERA_LEFT() => 'KEY_CAMERA_LEFT',
		KEY_A() => 'KEY_A',
		BTN_Y() => 'BTN_Y',
		KEY_WAKEUP() => 'KEY_WAKEUP',
		KEY_MACRO() => 'KEY_MACRO',
		BTN_B() => 'BTN_B',
		KEY_LIGHTS_TOGGLE() => 'KEY_LIGHTS_TOGGLE',
		KEY_KPDOT() => 'KEY_KPDOT',
		KEY_BRL_DOT2() => 'KEY_BRL_DOT2',
		KEY_CALC() => 'KEY_CALC',
		KEY_F12() => 'KEY_F12',
		KEY_AUDIO_DESC() => 'KEY_AUDIO_DESC',
		KEY_PLAY() => 'KEY_PLAY',
		KEY_KP1() => 'KEY_KP1',
		KEY_EJECTCLOSECD() => 'KEY_EJECTCLOSECD',
		KEY_GAMES() => 'KEY_GAMES',
		KEY_CNT() => 'KEY_CNT',
		KEY_ROTATE_DISPLAY() => 'KEY_ROTATE_DISPLAY',
		KEY_DATABASE() => 'KEY_DATABASE',
		KEY_CHANNEL() => 'KEY_CHANNEL',
		KEY_BRIGHTNESS_MIN() => 'KEY_BRIGHTNESS_MIN',
		BTN_TRIGGER_HAPPY21() => 'BTN_TRIGGER_HAPPY21',
		KEY_SPORT() => 'KEY_SPORT',
		KEY_DOLLAR() => 'KEY_DOLLAR',
		KEY_BRL_DOT5() => 'KEY_BRL_DOT5',
		KEY_PAGEUP() => 'KEY_PAGEUP',
		BTN_TRIGGER_HAPPY15() => 'BTN_TRIGGER_HAPPY15',
		KEY_NUMERIC_7() => 'KEY_NUMERIC_7',
		KEY_E() => 'KEY_E',
		KEY_CAMERA_ZOOMOUT() => 'KEY_CAMERA_ZOOMOUT',
		KEY_ENTER() => 'KEY_ENTER',
		KEY_PROGRAM() => 'KEY_PROGRAM',
		KEY_F24() => 'KEY_F24',
		KEY_BRL_DOT10() => 'KEY_BRL_DOT10',
		KEY_F18() => 'KEY_F18',
		KEY_KBDILLUMTOGGLE() => 'KEY_KBDILLUMTOGGLE',
		KEY_WWW() => 'KEY_WWW',
		BTN_TRIGGER_HAPPY9() => 'BTN_TRIGGER_HAPPY9',
		BTN_TOOL_PEN() => 'BTN_TOOL_PEN',
		KEY_F5() => 'KEY_F5',
		BTN_TASK() => 'BTN_TASK',
		KEY_F17() => 'KEY_F17',
		KEY_LOGOFF() => 'KEY_LOGOFF',
		KEY_DOWN() => 'KEY_DOWN',
		BTN_TRIGGER_HAPPY12() => 'BTN_TRIGGER_HAPPY12',
		KEY_ALL_APPLICATIONS() => 'KEY_ALL_APPLICATIONS',
		KEY_TASKMANAGER() => 'KEY_TASKMANAGER',
		KEY_F() => 'KEY_F',
		KEY_B() => 'KEY_B',
		KEY_NUMERIC_5() => 'KEY_NUMERIC_5',
		KEY_Y() => 'KEY_Y',
		KEY_KP3() => 'KEY_KP3',
		KEY_NEXT_FAVORITE() => 'KEY_NEXT_FAVORITE',
		BTN_TRIGGER_HAPPY32() => 'BTN_TRIGGER_HAPPY32',
		BTN_A() => 'BTN_A',
		KEY_U() => 'KEY_U',
		KEY_BACKSLASH() => 'KEY_BACKSLASH',
		BTN_TOOL_TRIPLETAP() => 'BTN_TOOL_TRIPLETAP',
		BTN_TRIGGER_HAPPY35() => 'BTN_TRIGGER_HAPPY35',
		KEY_VOLUMEUP() => 'KEY_VOLUMEUP',
		BTN_TRIGGER_HAPPY4() => 'BTN_TRIGGER_HAPPY4',
		KEY_PROG2() => 'KEY_PROG2',
		KEY_FN_2() => 'KEY_FN_2',
		KEY_VIDEOPHONE() => 'KEY_VIDEOPHONE',
		KEY_F11() => 'KEY_F11',
		KEY_AGAIN() => 'KEY_AGAIN',
		BTN_TRIGGER_HAPPY36() => 'BTN_TRIGGER_HAPPY36',
		KEY_PROG3() => 'KEY_PROG3',
		KEY_UNKNOWN() => 'KEY_UNKNOWN',
		KEY_PLAYCD() => 'KEY_PLAYCD',
		KEY_PLAYER() => 'KEY_PLAYER',
		KEY_VOICEMAIL() => 'KEY_VOICEMAIL',
		KEY_KBDINPUTASSIST_PREVGROUP() => 'KEY_KBDINPUTASSIST_PREVGROUP',
		BTN_TRIGGER_HAPPY39() => 'BTN_TRIGGER_HAPPY39',
		BTN_START() => 'BTN_START',
		KEY_TOUCHPAD_OFF() => 'KEY_TOUCHPAD_OFF',
		KEY_STOP_RECORD() => 'KEY_STOP_RECORD',
		KEY_MAIL() => 'KEY_MAIL',
		BTN_TRIGGER_HAPPY20() => 'BTN_TRIGGER_HAPPY20',
		KEY_DISPLAYTOGGLE() => 'KEY_DISPLAYTOGGLE',
		BTN_TL() => 'BTN_TL',
		KEY_SEARCH() => 'KEY_SEARCH',
		BTN_DPAD_LEFT() => 'BTN_DPAD_LEFT',
		KEY_SCREENLOCK() => 'KEY_SCREENLOCK',
		BTN_TRIGGER_HAPPY19() => 'BTN_TRIGGER_HAPPY19',
		KEY_NEW() => 'KEY_NEW',
		BTN_0() => 'BTN_0',
		KEY_DIRECTORY() => 'KEY_DIRECTORY',
		BTN_DPAD_UP() => 'BTN_DPAD_UP',
		KEY_FORWARDMAIL() => 'KEY_FORWARDMAIL',
		KEY_EMAIL() => 'KEY_EMAIL',
		KEY_TOUCHPAD_TOGGLE() => 'KEY_TOUCHPAD_TOGGLE',
		KEY_KP2() => 'KEY_KP2',
		KEY_NUMERIC_11() => 'KEY_NUMERIC_11',
		BTN_TRIGGER_HAPPY16() => 'BTN_TRIGGER_HAPPY16',
		KEY_FN_F8() => 'KEY_FN_F8',
		KEY_LEFTSHIFT() => 'KEY_LEFTSHIFT',
		KEY_FN_F1() => 'KEY_FN_F1',
		KEY_SPACE() => 'KEY_SPACE',
		BTN_TOUCH() => 'BTN_TOUCH',
		KEY_WLAN() => 'KEY_WLAN',
		BTN_TRIGGER_HAPPY3() => 'BTN_TRIGGER_HAPPY3',
		KEY_BRL_DOT6() => 'KEY_BRL_DOT6',
		BTN_TOOL_PENCIL() => 'BTN_TOOL_PENCIL',
		BTN_STYLUS() => 'BTN_STYLUS',
		KEY_10CHANNELSUP() => 'KEY_10CHANNELSUP',
		BTN_X() => 'BTN_X',
		BTN_TRIGGER_HAPPY28() => 'BTN_TRIGGER_HAPPY28',
		KEY_PASTE() => 'KEY_PASTE',
		KEY_BASSBOOST() => 'KEY_BASSBOOST',
		KEY_ADDRESSBOOK() => 'KEY_ADDRESSBOOK',
		KEY_TEEN() => 'KEY_TEEN',
		KEY_CUT() => 'KEY_CUT',
		KEY_FORWARD() => 'KEY_FORWARD',
		BTN_TRIGGER_HAPPY24() => 'BTN_TRIGGER_HAPPY24',
		KEY_PREVIOUS() => 'KEY_PREVIOUS',
		BTN_1() => 'BTN_1',
		KEY_FN_F4() => 'KEY_FN_F4',
		KEY_BACK() => 'KEY_BACK',
		KEY_F15() => 'KEY_F15',
		KEY_ALS_TOGGLE() => 'KEY_ALS_TOGGLE',
		KEY_DISPLAY_OFF() => 'KEY_DISPLAY_OFF',
		KEY_CAMERA_UP() => 'KEY_CAMERA_UP',
		KEY_MIN_INTERESTING() => 'KEY_MIN_INTERESTING',
		KEY_RIGHTALT() => 'KEY_RIGHTALT',
		KEY_F20() => 'KEY_F20',
		KEY_RIGHTBRACE() => 'KEY_RIGHTBRACE',
		KEY_CYCLEWINDOWS() => 'KEY_CYCLEWINDOWS',
		KEY_K() => 'KEY_K',
		KEY_10CHANNELSDOWN() => 'KEY_10CHANNELSDOWN',
		KEY_F8() => 'KEY_F8',
		BTN_3() => 'BTN_3',
		KEY_REWIND() => 'KEY_REWIND',
		BTN_TRIGGER_HAPPY1() => 'BTN_TRIGGER_HAPPY1',
		KEY_RED() => 'KEY_RED',
		KEY_BLUE() => 'KEY_BLUE',
		KEY_KP9() => 'KEY_KP9',
		KEY_NEWS() => 'KEY_NEWS',
		KEY_RO() => 'KEY_RO',
		KEY_CHANNELDOWN() => 'KEY_CHANNELDOWN',
		KEY_DOCUMENTS() => 'KEY_DOCUMENTS',
		KEY_NUMERIC_2() => 'KEY_NUMERIC_2',
		KEY_PAGEDOWN() => 'KEY_PAGEDOWN',
		KEY_ATTENDANT_TOGGLE() => 'KEY_ATTENDANT_TOGGLE',
		BTN_6() => 'BTN_6',
		KEY_FN_D() => 'KEY_FN_D',
		BTN_TOOL_QUINTTAP() => 'BTN_TOOL_QUINTTAP',
		KEY_GRAVE() => 'KEY_GRAVE',
		BTN_TOP() => 'BTN_TOP',
		KEY_RFKILL() => 'KEY_RFKILL',
		KEY_SAT() => 'KEY_SAT',
		KEY_FIRST() => 'KEY_FIRST',
		KEY_INSERT() => 'KEY_INSERT',
		KEY_FINANCE() => 'KEY_FINANCE',
		KEY_F2() => 'KEY_F2',
		KEY_KBDILLUMDOWN() => 'KEY_KBDILLUMDOWN',
		BTN_5() => 'BTN_5',
		KEY_MENU() => 'KEY_MENU',
		BTN_TRIGGER_HAPPY23() => 'BTN_TRIGGER_HAPPY23',
		KEY_LEFT_DOWN() => 'KEY_LEFT_DOWN',
		KEY_J() => 'KEY_J',
		KEY_SWITCHVIDEOMODE() => 'KEY_SWITCHVIDEOMODE',
		KEY_FASTFORWARD() => 'KEY_FASTFORWARD',
		KEY_PLAYPAUSE() => 'KEY_PLAYPAUSE',
		KEY_DIRECTION() => 'KEY_DIRECTION',
		KEY_EDIT() => 'KEY_EDIT',
		KEY_SOUND() => 'KEY_SOUND',
		KEY_MEDIA_REPEAT() => 'KEY_MEDIA_REPEAT',
	},
	'REL' => {
		REL_WHEEL() => 'REL_WHEEL',
		REL_MAX() => 'REL_MAX',
		REL_RZ() => 'REL_RZ',
		REL_CNT() => 'REL_CNT',
		REL_RX() => 'REL_RX',
		REL_DIAL() => 'REL_DIAL',
		REL_Z() => 'REL_Z',
		REL_Y() => 'REL_Y',
		REL_X() => 'REL_X',
		REL_RY() => 'REL_RY',
		REL_HWHEEL() => 'REL_HWHEEL',
		REL_MISC() => 'REL_MISC',
	},
	'ABS' => {
		ABS_MT_TOOL_TYPE() => 'ABS_MT_TOOL_TYPE',
		ABS_DISTANCE() => 'ABS_DISTANCE',
		ABS_GAS() => 'ABS_GAS',
		ABS_MT_BLOB_ID() => 'ABS_MT_BLOB_ID',
		ABS_BRAKE() => 'ABS_BRAKE',
		ABS_HAT1X() => 'ABS_HAT1X',
		ABS_Z() => 'ABS_Z',
		ABS_MT_TRACKING_ID() => 'ABS_MT_TRACKING_ID',
		ABS_MT_ORIENTATION() => 'ABS_MT_ORIENTATION',
		ABS_MT_SLOT() => 'ABS_MT_SLOT',
		ABS_HAT3Y() => 'ABS_HAT3Y',
		ABS_MISC() => 'ABS_MISC',
		ABS_HAT0Y() => 'ABS_HAT0Y',
		ABS_MT_TOUCH_MAJOR() => 'ABS_MT_TOUCH_MAJOR',
		ABS_MAX() => 'ABS_MAX',
		ABS_Y() => 'ABS_Y',
		ABS_MT_WIDTH_MAJOR() => 'ABS_MT_WIDTH_MAJOR',
		ABS_MT_TOOL_Y() => 'ABS_MT_TOOL_Y',
		ABS_MT_TOOL_X() => 'ABS_MT_TOOL_X',
		ABS_HAT2X() => 'ABS_HAT2X',
		ABS_TOOL_WIDTH() => 'ABS_TOOL_WIDTH',
		ABS_RZ() => 'ABS_RZ',
		ABS_MT_TOUCH_MINOR() => 'ABS_MT_TOUCH_MINOR',
		ABS_WHEEL() => 'ABS_WHEEL',
		ABS_MT_POSITION_Y() => 'ABS_MT_POSITION_Y',
		ABS_RX() => 'ABS_RX',
		ABS_MT_WIDTH_MINOR() => 'ABS_MT_WIDTH_MINOR',
		ABS_PRESSURE() => 'ABS_PRESSURE',
		ABS_RY() => 'ABS_RY',
		ABS_HAT2Y() => 'ABS_HAT2Y',
		ABS_TILT_Y() => 'ABS_TILT_Y',
		ABS_CNT() => 'ABS_CNT',
		ABS_MT_DISTANCE() => 'ABS_MT_DISTANCE',
		ABS_TILT_X() => 'ABS_TILT_X',
		ABS_HAT1Y() => 'ABS_HAT1Y',
		ABS_X() => 'ABS_X',
		ABS_VOLUME() => 'ABS_VOLUME',
		ABS_MT_POSITION_X() => 'ABS_MT_POSITION_X',
		ABS_MT_PRESSURE() => 'ABS_MT_PRESSURE',
		ABS_HAT3X() => 'ABS_HAT3X',
		ABS_THROTTLE() => 'ABS_THROTTLE',
		ABS_RUDDER() => 'ABS_RUDDER',
		ABS_HAT0X() => 'ABS_HAT0X',
		ABS_RESERVED() => 'ABS_RESERVED',
	},
);
1;

__END__

=pod

=encoding UTF-8

=head1 NAME

Linux::Input::Capabilities::Constants - Constants defining various input device capabilities.

=head1 VERSION

version 0.010

=head1 DESCRIPTION

This provides constants to use with L<Linux::Input::Capabilities>.

=head1 SEE ALSO

=over 4

=item L<Linux::Input::Capabilities>

This is where to find the documentation.

=back

=head1 AUTHOR

Anthony DeRobertis <anthony@derobert.net>

=head1 COPYRIGHT AND LICENSE

Copyright (C)2019-2020 Customer Relationship Metrics.
Copyright (C)2019-2020 Anthony DeRobertis.
Web page modern style (C)2020 Ruben Albornoz.

This program is free software; you can redistribute it and/or modify it
under the terms of the Perl Artistic License or the GNU General Public
License as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

In addition, if you are distributing under the GPL, as a special
exception, the above copyright holders give permission to link the code
of this program with the OpenSSL Library (or with modified versions of
OpenSSL that use the same license as OpenSSL), and distribute linked
combinations including the two. You must obey the GNU General Public
License in all respects for all of the code used other than OpenSSL.

This exception applies to versions of OpenSSL under the traditional
(pre-3.0) OpenSSL licensing, versions under Apache License v2, and any
future license OpenSSL may be released under.

If you modify this program, you may extend this exception to your
version, but you are not obligated to do so. If you do not wish to do
so, delete this exception statement from your version.

=cut
